<?php
// +------------------------------------------------------------------------+
// | vBTubePRO v2.0 LE - Light Edition - Free
// +------------------------------------------------------------------------+
// | Developed by: www.vbtube.com 
// | Copyright: (c) 2007-2012 vBTube.com. All rights reserved.
// | Kreuzkamp & Partner Certificate Number: 0916-2009
// +------------------------------------------------------------------------+
// You are not allowed to copy, redistribute and distribute or change any part of vBTube 
// If you don't accept, please remove vBTube from your server.

// You have the right to use vBTube as it is
// Downloading vBTube software is only allowed from vBTube.com or vBulletin.org

// | If you have downloaded this software from a website other
// | than www.vbtube.com, vbulletin.org or if you have received
// | this software from someone who is not a representative of
// | vBTube.com, it's likely that you are involved in an illegal activity.
// | In such case, please contact: vbtube.com@googlemail.com

// Please do not remove the Copyright Phrase. 
// If you need the Branding Free vBTubePRO please contact vbtube.com@googlemail.com or www.vbtube.com

// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

$lr_align="center"; //Set this to right if you have a right to left board

// #################### DEFINE IMPORTANT CONSTANTS #######################

define('THIS_SCRIPT', 'vbtube');
define('CSRF_PROTECTION', true);  

// ################### PRE-CACHE TEMPLATES AND DATA ######################
// get special phrase groups
$phrasegroups = array('vbtube');

// get special data templates from the datastore
$specialtemplates = array();

// pre-cache templates used by all actions
$globaltemplates = array(
	'vbtube_boc',
	'vbtube_bocview',
	'vbtube_css',
	'vbtube_pollbit_result',
	'vbtube_pollbit',
	'vbtube_latest_top_result',
	'vbtube_latest_top_bit',
	'vbtube_topviewbit',
	'vbtube_latest_threads_result',
	'vbtube_latest_threadsbit',
	'vbtube_latest_posts_result',
	'vbtube_latest_posts_bit',
	'vbtube_usermenu',
	'vbtube_topview',
	'vbtube_searchbit',
	'vbtube_newestbit',
	'vbtube_sponsorbit',
	'vbtube_leftcolumn',
	'vbtube_rightcolumn',
	'vbtube_categorybit',
	'vbtube_browser_blank',
	'vbtube_umenu',
	'vbtube_xres',
	'vbtube_xres3',
	'vbtube_xview'
	);

// pre-cache templates used by specific actions
$actiontemplates = array(
	'vbtube_topview',
	'vbtube_topviewbit',
	'vbtube_searchbit',
	'vbtube_latest_threads_result',
	'vbtube_latest_threads_bit',
	'vbtube_latest_posts_result',
	'vbtube_latest_posts_bit',
	'vbtube_pollbit_result',
	'vbtube_pollbit',
	'vbtube_latest_top_result',
	'vbtube_latest_top_bit',	
	'vbtube_rightcolumn',
	'vbtube_sponsorbit',
	'vbtube_xres',
	'vbtube_xview'	
);

// ######################### REQUIRE BACK-END ############################
require_once('./global.php');
require_once('./vbtube_functions.php');

// Check Permissions
if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])) {
	print_no_permission(); 
}
$vbt_var['seeytbrowser']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canusebrw'];
$vbt_var['canmod']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod']; 
$vbt_var['jq']=1;


if($vbulletin->options['vbtube_tabswitch'])
	include 'vbtube/includes/vbtube_tabs.php';

	
$navbits = construct_navbits(array('' => $vbphrase['vbtube_menu_toplist']));
$navbar = render_navbar_template($navbits);

// #######################################################################
// ######################## START MAIN SCRIPT ############################
// #######################################################################
$whois = &$vbulletin->userinfo['userid'];
$vbt_var['rightad'] = &$vbulletin->options['vbtube_tube_rightbox'];
$vbt_var['midad'] = &$vbulletin->options['vbtube_tube_midbox']; 
$vbt_var['sponsor'] = &$vbulletin->options['vbtube_tube_sponsor'];
$vbt_var['res_style']=1;
$vbt_var['fs'] = 11;
$vbt_var['catfontsize']='+2';
$vbt_var['catfontsize_sm']='+1';

$page_results=&$vbulletin->options['vbtube_resultpages_count'];


//$vbt_var['meta_tags']='<meta name="keywords" content="{vb:raw vboptions.keywords}" />
//<meta name="description" content="{vb:raw vboptions.description}" />'; 

if($vbulletin->options['vbtube_seopower']) 
{
	include_once 'vbtube/plugins/vbseo.php';
}

if ($_REQUEST['do'] == 'list')
{
	$vbt_var['catcounter'] = &$vbulletin->options['vbtube_catcount']; //ON OFF
	$ctype = $vbulletin->input->clean_gpc('r', 'ctype', TYPE_UINT);
	$vbt_var['site_title']=&$vbphrase['vbtube_list_category'];
	$vbt_var['site_descr']=&$vbt_var['site_title'];
	$vbt_var['photoshow'] = &$vbulletin->options['vbtube_photoshow'];	
	$vbt_var['adulton'] = &$vbulletin->options['vbtube_adulton'];
	$vbt_var['is_cat_list']=1;
	$vbt_var['act_cat']=' class="active"';

	switch ($ctype) 
	{ 
		case 0:
		$myorder = "WHERE cattype=1 OR cattype=3";
		$order = 0; // ??????????????
		break;
		case 2:
		$myorder = "WHERE cattype=2";
		break;
		case 4:
		$myorder = "WHERE cattype=4";
		break;			
	}

	// vbtube Categories 
	$categories_get = $db->query_read("
	SELECT categoryid, title, display, depth, cattype, totaltubes, descr, thumb, boc, boctitle, bocabout,bocimg, divopen, divclose
	FROM " . TABLE_PREFIX . "vbtube_categories
	$myorder ORDER BY display ASC 
	");
	while ($category = $vbulletin->db->fetch_array($categories_get))
	{
		$vbt_var['maincat'] = false;
		
		$vbt_var['boc_link']=vbtube_link($vbulletin->options['vbtube_seopower'],$category['boctitle'],$category['boc']);
		
		if($vbulletin->options['vbtube_seopower'])
		{
			$title_myseo = $category['title'];
			$title_myseo = vbseo_filter_text($title_myseo);
			$vbt_var['cat_link']=$vbulletin->options['vbtube_index']."?". $vbulletin->session->vars['sessionurl'] ."do=cat&amp;id=$category[categoryid]&amp;o=0&amp;t=$title_myseo&amp;page=0";
		}
		else		
		{
			if($vbulletin->options['vbtube_modht']) {
				$category[title_seo] = str_replace(" ", "-", $category[title]);
				$vbt_var['cat_link']=$vbulletin->options['vbtube_modht_index']."/category-$category[categoryid]-$category[title_seo]";
			}
			else 
				$vbt_var['cat_link']=$vbulletin->options['vbtube_index']."?". $vbulletin->session->vars['sessionurl'] ."do=cat&amp;id=$category[categoryid]&amp;o=0&amp;page=0";
		}
		if($category['depth'] > 0)
		{
			$vbt_var['maincat'] = false;
		}
		else
		{
			$vbt_var['maincat'] = true;
			$vbt_tpl['topviewbit'] .= "";
		}
		
		if($category['depth']==1) 
		{
			$vbt_var['lipo']++;
			if($vbt_var['lipo'] > 3) 
			{
				$vbt_var['lipo']=1;		
			}
		}
		
		$category['bocabout']=vbtube_cut_text($category['bocabout'],80);
		
		$templater = vB_Template::create('vbtube_categorybit');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$templater->register('category', $category);
		$vbt_tpl['topviewbit'] .= $templater->render();

	}
}
else
{
	$startid = $vbulletin->input->clean_gpc('r', 'page', TYPE_UINT);
	$vbt_var['isindex']=1;
	switch ($_REQUEST['do']) 
	{
		case '':
			$vbt_db="active=1 AND tube='' ORDER BY joindate DESC LIMIT";
			$vbt_db_count="WHERE active=1 AND tube=''";
			
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/home';
			else
				$vbt_pager=&$vbulletin->options['vbtube_index'];

			$vbt_var['site_title']=&$vbphrase['vbtube_menu_toplist'];
			$vbt_var['site_descr']=&$vbphrase['vbtube_recent_tubes'];
			$vbt_var['fzeichen']='?';
			$vbt_var['topindex']=$vbulletin->options['vbtube_tube_topindex'];
			$vbt_var['bottomindex']=$vbulletin->options['vbtube_tube_bottomindex'];
			$page_results=&$vbulletin->options['vbtube_result_count'];
			$vbt_var['act_home']=' class="active"';
		break;
		case 'cat':
			$categoryid = $vbulletin->input->clean_gpc('r', 'id', TYPE_UINT);
			$cat_order = $vbulletin->input->clean_gpc('r', 'o', TYPE_UINT);
			
			switch ($cat_order) 
			{ 
				case '':
				$myorder = "ORDER BY joindate DESC LIMIT"; //Newest first
				$order = 0;
				break;
				case 1:
				$myorder = "ORDER BY views DESC LIMIT"; //Most viewed
				break;
				case 2:
				$myorder = "ORDER BY votes DESC LIMIT"; //Most voted
				break;
				case 3:
				$myorder = "ORDER BY rating DESC, votes DESC LIMIT"; // Best rated and viewed
				break;			
			}
			
			// Category Name 
			$cat_data = $db->query_first("
			SELECT title, categoryid, totaltubes
			FROM " . TABLE_PREFIX . "vbtube_categories
			WHERE categoryid = '$categoryid'
			");		

			$vbt_db="categoryid='$categoryid' AND active=1 $myorder";
			$vbt_db_count="WHERE categoryid='$categoryid' AND active=1";
			
			if($vbulletin->options['vbtube_seopower']) {
				$title_myseo = $cat_data['title'];
				$title_myseo = vbseo_filter_text($title_myseo);
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=cat&amp;id='.$categoryid.'&amp;o='.$cat_order.'&amp;t='.$title_myseo;
			}
			else {
				if($vbulletin->options['vbtube_modht'])
					$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/category-'.$categoryid.'-'.$cat_data[title];//.'-o='.$cat_order
				else 						
					$vbt_pager=$vbulletin->options['vbtube_index'].'?do=cat&amp;id='.$categoryid.'&amp;o='.$cat_order.'&amp;t='.$cat_data['title'];
			}
			$vbt_var['site_title']=$vbphrase['vbtube_tube_category'].': '.$cat_data['title'];
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_cat']=' class="active"';
		break;	
		case 'search':
			if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['cansearch'])){
				print_no_permission();
			}
			$searchtext = $vbulletin->input->clean_gpc('r', 'mstr', TYPE_STR);
			if(!$searchtext) $searchtext = $vbulletin->input->clean_gpc('p', 'mstr', TYPE_STR);
			$searchtext=strip_tags($searchtext);
			$vbt_db="keywords LIKE '%" . $db->escape_string($searchtext) . "%'  AND active = 1 ORDER BY joindate DESC LIMIT";
			$vbt_db_count="WHERE keywords LIKE '%" . $db->escape_string($searchtext) . "%'  AND active = 1";
			$vbt_pager=$vbulletin->options['vbtube_index'].'?do=search&amp;mstr='.$searchtext;
			$vbt_var['site_title']=$vbphrase['vbtube_number_results'].' : '.$searchtext;
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_home']=' class="active"';
		break;	
		case 'topvideos':
			$vbt_db="active=1 AND tube='' AND mediatype='video' ORDER BY rating DESC LIMIT";
			$vbt_db_count="WHERE active=1 AND tube=''";
			
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/best-videos';
			else 
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=topvideos';	
			
				$vbt_var['site_title']=&$vbphrase['vbtube_bestvideos'];
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_bvideos']=' class="active"';
		break;
		case 'most_viewed':
			$vbt_db="active=1 AND tube='' ORDER BY views DESC LIMIT";
			$vbt_db_count="WHERE active=1 AND tube=''";
			
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/most-viewed';
			else 
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=most_viewed';	
			
			$vbt_var['site_title']=&$vbphrase['vbtube_most_viewed'];
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_mviewed']=' class="active"';
		break;
		case 'most_voted':
			$vbt_db="active=1 AND tube='' ORDER BY votes DESC LIMIT";
			$vbt_db_count="WHERE active=1 AND tube=''";
			
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/most-voted';
			else 
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=most_voted';	
			
				$vbt_var['site_title']=&$vbphrase['vbtube_most_voted'];	
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_mvoted']=' class="active"';
		break;
		case 'mymedia':
			$mymedia_user = $vbulletin->input->clean_gpc('r', 'u', TYPE_UINT);
			//if(!$vbulletin->userinfo['userid'] AND !$mymedia_user) print_no_permission();
			if(!$mymedia_user) 
			{	
				$mymedia_user=&$whois;
				$whois_name=&$vbulletin->userinfo['username'];
			}
			else
			{
				// Get Username
				$vbtdata = $db->query_first("
				SELECT userid,username
				FROM " . TABLE_PREFIX . "user
				WHERE userid='$mymedia_user' 
				");
				$whois_name=$vbtdata['username'];
			}
			$vbt_db="userid=$mymedia_user AND active=1 ORDER BY joindate DESC LIMIT";
			$vbt_db_count="WHERE userid=$mymedia_user AND active=1";
			
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/mymedia-u='.$mymedia_user;
			else 
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=mymedia&amp;u='.$mymedia_user;		
			
			$vbt_var['site_title']=$vbphrase['vbtube_user_list'].' '.$whois_name;	
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['act_myfiles']=' class="active"';
		break;	
		case 'myfavs':
			$myfavs_user = $vbulletin->input->clean_gpc('r', 'u', TYPE_UINT);
			if(!$vbulletin->userinfo['userid'] AND !$myfavs_user) print_no_permission();
			if(!$myfavs_user) 
			{	
				$myfavs_user=&$whois;
				$whois_name=&$vbulletin->userinfo['username'];
			}
			else
			{
				// Get Username
				$vbtdata = $db->query_first("
				SELECT userid,username
				FROM " . TABLE_PREFIX . "user
				WHERE userid='$myfavs_user' 
				");
				$whois_name=$vbtdata['username'];
			}
			if($vbulletin->options['vbtube_modht'])
				$vbt_pager=$vbulletin->options['vbtube_modht_index'].'/myfavorites-u='.$myfavs_user;
			else 
				$vbt_pager=$vbulletin->options['vbtube_index'].'?do=myfavs&amp;u='.$myfavs_user;
				
			$vbt_var['site_title']=$vbphrase['vbtube_user_favlist'].' '.$whois_name;
			$vbt_var['site_descr']=&$vbt_var['site_title'];			
			$vbt_var['isfav']=1;
			$vbt_var['act_myfav']=' class="active"';
		break;	
		default;
			$vbt_db="active=1 AND tube='' ORDER BY joindate DESC LIMIT";
			$vbt_db_count="WHERE active=1 AND tube=''";
			$vbt_pager=&$vbulletin->options['vbtube_index'];
			$vbt_var['site_title']=$vbphrase['vbtube_menu_toplist'].' ('.$vbphrase['vbtube_recent_tubes'].')';
			$vbt_var['site_descr']=&$vbt_var['site_title'];
			$vbt_var['fzeichen']='?';
			$vbt_var['act_home']=' class="active"';
		break;
	}
	if($vbulletin->options['vbtube_seopower']) exit;
	if($_REQUEST['do']=='myfavs')
	{
		// Count for Pages
		$totalrecords = $db->query_first("
		SELECT COUNT(`tubeid`) AS `totalrecords`
		FROM `" . TABLE_PREFIX . "vbtube_favourites` AS tubes
		WHERE userid = '$myfavs_user'");

		$pagenumber = $startid;
		$recperpage = $page_results;
		$perpage = $page_results;
		sanitize_pageresults($totalrecords['totalrecords'], $pagenumber, $perpage, $recperpage, $recperpage); 
			
		$startid = $startid - 1;
		if($startid <= 0) { $startid = 0; }
		$startid = $startid * $page_results;
		$pagenav = construct_page_nav($pagenumber, $perpage, $totalrecords['totalrecords'], $vbt_pager . $vbulletin->session->vars['sessionurl'].$vbt_var['fzeichen']);
		// Pages End

		// Favget
		$tubes_get = $db->query_read("SELECT 
			vbtube_favourites.tubeid AS ftubeid,
			vbtube_tubes.userid AS userid,
			vbtube_tubes.username AS username,
			vbtube_tubes.tubeid AS tubeid,
			vbtube_tubes.title AS title,
			vbtube_tubes.mediatype AS mediatype,
			vbtube_tubes.site AS site,
			vbtube_tubes.aboutme AS aboutme,
			vbtube_tubes.link1img AS link1img,
			vbtube_tubes.views AS views,
			vbtube_tubes.votes AS votes,
			vbtube_tubes.rating AS rating,
			vbtube_tubes.duration AS duration,
			vbtube_tubes.joindate AS joindate

		FROM " . TABLE_PREFIX . "vbtube_favourites AS vbtube_favourites
		LEFT JOIN " . TABLE_PREFIX . "vbtube_tubes AS vbtube_tubes ON
		(vbtube_tubes.tubeid = vbtube_favourites.tubeid)
		WHERE vbtube_favourites.userid = '$myfavs_user' ORDER BY tubeid DESC
		LIMIT $startid,$page_results
		");
		$vbt_var['isindex']='1';
	}
	else
	{
		// Count for Pages
		$totalrecords = $db->query_first("
		SELECT COUNT(`tubeid`) AS `totalrecords`
		FROM `" . TABLE_PREFIX . "vbtube_tubes` AS tubes
		$vbt_db_count ");

		$pagenumber = $startid;
		$recperpage = $page_results;
		$perpage = $page_results;
		sanitize_pageresults($totalrecords['totalrecords'], $pagenumber, $perpage, $recperpage, $recperpage); 
			
		$startid = $startid - 1;
		if($startid <= 0) { $startid = 0; }
		$startid = $startid * $page_results;
		$pagenav = construct_page_nav($pagenumber, $perpage, $totalrecords['totalrecords'], $vbt_pager . $vbulletin->session->vars['sessionurl'].$vbt_var['fzeichen']);
		// Pages End

		// Get Media Data 
		$tubes_get = $db->query_read("
		SELECT 	tubeid, title, username, userid, vidlang, link1img, thumb_type, aboutme, tube, mediatype,site,
				views, votes, rates, rating, duration, keywords, reviewid, active, joindate
		FROM " . TABLE_PREFIX . "vbtube_tubes
		WHERE $vbt_db $startid,$page_results");
	}
	
	$keywords_counter=0;
	$vbt_var['i']=1;
	if($vbulletin->options['vbtube_yt_results']) exit;
	while ($tubes = $db->fetch_array($tubes_get))
	{
		$vbt_var['tubes_link']=vbtube_link($vbulletin->options['vbtube_seopower'],$tubes[title],$tubes[tubeid]);
		$vbt_var['tubes_joindate']=vbdate($vbulletin->options['dateformat'], $tubes['joindate'], true);
		$vbt_var['tubes_title']=vbtube_cut_text($tubes['title'],$vbulletin->options['vbtube_tube_count']);
		$vbt_var['tubes_aboutme']=vbtube_cut_text($tubes['aboutme'],$vbulletin->options['vbtube_tube_abcount']);
		$vbt_var['tubes_aboutme']=strip_bbcode($vbt_var['tubes_aboutme'], $stripquotes = false, $fast_and_dirty = true, $showlinks = false);
		$vbt_var['tubes_duration']=&$tubes['duration'];
		$vbt_var['tubes_views']=&$tubes['views'];
		//$vbt_var['tubes_votes']=&$tubes['votes'];
		//$vbt_var['tubes_rating']=&$tubes['rating'];
		$vbt_var['tubes_username']=&$tubes['username'];
		$vbt_var['tubes_tubeid']=&$tubes['tubeid'];
		$vbt_var['tubes_userid']=&$tubes['userid'];
		
		if($keywords_counter < 2)
		{
			$keywords_tmp .= "$tubes[keywords],";
		}
		$keywords_counter++;
		
		switch($tubes['thumb_type']) 
		{
			case 0:
				$vbt_var['resultwidth']=$vbulletin->options['vbtube_img_result_width'];
				$vbt_var['resultheight']=$vbulletin->options['vbtube_img_result_height'];						
			break;
			case 1:
				$vbt_var['resultwidth']=70;
				$vbt_var['resultheight']=90;
			break;
			case 2:
				$vbt_var['resultwidth']=$vbulletin->options['vbtube_img_result_width'];
				$vbt_var['resultheight']=40;
			break;
		}		
		
		
		$vbt_var['tubes_link1img']=&$tubes['link1img'];
		$vbt_var['tubes_ratesymbol']=vbtube_rate($tubes['rating']);
		
		switch($vbt_var['res_style'])
		{
			case 1:
				$templater = vB_Template::create('vbtube_topviewbit');
				$templater->register('tubes', $tubes);
				$templater->register('vbt_tpl', $vbt_tpl);
				$templater->register('vbt_var', $vbt_var);
				$vbt_tpl['topviewbit'] .= $templater->render();	
			break;		
		}
	}
}

$leercheck='';

//Keywords UND BOC - Nur im INDEX
if($vbt_var['isindex'])
{
	$keywords_tmp = preg_split("/[,]+/", $keywords_tmp);
	foreach ($keywords_tmp as $keywords)
	{
		$keywords=trim($keywords);
		$keywords2=urlencode($keywords);
		$vbt_var['keywords'] .= '<a href="'.$vbulletin->options['vbtube_index'].'?do=search&amp;mstr='.$keywords2.'">'.$keywords.'</a> ';
	}

	$vbt_var['keywords']=strtolower($vbt_var['keywords']);
	
	if($vbulletin->options['vbtube_show_lthreads']) include 'vbtube/includes/vbtube_threadsbit.php';
	if($vbulletin->options['vbtube_show_voting']) include 'vbtube/includes/vbtube_randompoll.php';
	
	if($vbulletin->options['vbtube_show_boc'])	
	{
		// Best of Cat - Bug 231011 cattype=1 OR cattype=3
		$boc_res=&$vbulletin->options['vbtube_show_boc'];
		$boc_get = $db->query_read("
		SELECT 	categoryid,title,cattype,totaltubes,descr,boc,boctitle,bocabout,bocimg,bocuser,bocuid
		FROM " . TABLE_PREFIX . "vbtube_categories
		WHERE (cattype=1 OR cattype=3) AND totaltubes > '1' AND deleted = 0 ORDER BY rand() LIMIT $boc_res
		");

		$leer='';
		$leercheck='';
		while ($boc = $db->fetch_array($boc_get))
		{
			if($vbulletin->options['vbtube_seopower'])
			{
				$title_myseo = $boc['title'];
				$title_myseo = vbseo_filter_text($title_myseo);
				$vbt_var['catboc_link']=$vbulletin->options['vbtube_index']."?". $vbulletin->session->vars['sessionurl'] ."do=cat&amp;id=$boc[categoryid]&amp;o=0&amp;t=$title_myseo";
			}
			else		
			{
				if($vbulletin->options['vbtube_modht']) {
					$boc[title_seo] = str_replace(" ", "-", $boc[title]);
					$vbt_var['catboc_link']=$vbulletin->options['vbtube_modht_index']."/category-$boc[categoryid]-$boc[title_seo]";
				}
				else 			
					$vbt_var['catboc_link']=$vbulletin->options['vbtube_index']."?". $vbulletin->session->vars['sessionurl'] ."do=cat&amp;id=$boc[categoryid]&amp;o=0&amp;page=0";
			}			
			
			$vbt_var['boc_link']=vbtube_link($vbulletin->options['vbtube_seopower'],$boc['boctitle'],$boc['boc']);
			$boc['bocabout']=vbtube_cut_text($boc['bocabout'],$vbulletin->options['vbtube_tube_abcount']);
			if($leer % 2 == 0 AND $leercheck)
			{
				$vbt_tpl['boc'] .= '</tr><tr align="'.$lr_align.'">';
			}
			$templater = vB_Template::create('vbtube_boc');
			$templater->register('vbt_tpl', $vbt_tpl);
			$templater->register('vbt_var', $vbt_var);
			$templater->register('boc', $boc);
			$vbt_tpl['boc'] .= $templater->render();
			$leer++;
			$leercheck=1;
			if($leer >= 2) $vbt_var['bocdivmar']=' style="margin-top:1em"';
		}
		$templater = vB_Template::create('vbtube_bocview');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$templater->register('boc', $boc);
		$vbt_tpl['bocview'] = $templater->render();	
	}
	
	
}

$templater = vB_Template::create('vbtube_css');
$vbt_tpl['css'] = $templater->render();	

if($vbulletin->options['vbtube_show_lposts']) include 'vbtube/includes/vbtube_commentsbit.php';
if($vbulletin->options['vbtube_show_topbit']) include 'vbtube/includes/vbtube_topbitrnd.php';

	
if($vbulletin->options['vbtube_usermenu'])
{
	$templater = vB_Template::create('vbtube_umenu');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['umenu'] = "<br />".$templater->render();	
}
else
{
	$vbt_tpl['umenu'] = "<br />";
}	 
	
if($vbulletin->options['vbtube_autotube'])
{
	include 'vbtube/includes/vbtube_autotube.php';
	$templater = vB_Template::create('vbtube_sponsorbit');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['sponsorbit'] = $templater->render();	
}

if($vbulletin->options['vbtube_right_column'])
{
	$vbt_var['rightfield1'] = $vbulletin->options['vbtube_right_column'] - 60 . 'px'; 
	$templater = vB_Template::create('vbtube_searchbit');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['searchbit'] = $templater->render();
	
	$templater = vB_Template::create('vbtube_rightcolumn');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['rightcolumn'] = $templater->render();	
}

/*
if($vbulletin->options['vbtube_dvborder'])
{
	//div border mid
	$vbt_tpl['dborderopen']=dborder_open($vbphrase['vbtube']);
	$vbt_tpl['dborderopen2']=dborder_open($vbphrase['vbtube_bestofcat']);
	$vbt_tpl['dborderclose']=dborder_close();
}
*/

$vbt_var['startid']=$startid;

// ###### Template Render ######
$templater = vB_Template::create('vbtube_topview');
$templater->register_page_templates();
$templater->register('navbar', $navbar);
$templater->register('pagenav', $pagenav);
$templater->register('pagetitle', $vbphrase['vbtube_menu_toplist']);
$templater->register('vbt_var', $vbt_var);
$templater->register('vbt_tpl', $vbt_tpl);

print_output($templater->render());

?>