<?php
// +------------------------------------------------------------------------+
// | vBTubePRO v2.0 LE - Light Edition - Free
// +------------------------------------------------------------------------+
// | Developed by: www.vbtube.com 
// | Copyright: (c) 2007-2012 vBTube.com. All rights reserved.
// | Kreuzkamp & Partner Certificate Number: 0916-2009
// +------------------------------------------------------------------------+
// You are not allowed to copy, redistribute and distribute or change any part of vBTube 
// If you don't accept, please remove vBTube from your server.

// You have the right to use vBTube as it is
// Downloading vBTube software is only allowed from vBTube.com or vBulletin.org

// | If you have downloaded this software from a website other
// | than www.vbtube.com, vbulletin.org or if you have received
// | this software from someone who is not a representative of
// | vBTube.com, it's likely that you are involved in an illegal activity.
// | In such case, please contact: vbtube.com@googlemail.com

// Please do not remove the Copyright Phrase. 
// If you need the Branding Free vBTubePRO please contact vbtube.com@googlemail.com or www.vbtube.com
// Setup PHP Enviropment
error_reporting(E_ALL & ~E_NOTICE);
// Define Contants
define('THIS_SCRIPT', 'vbtube');
define('CSRF_PROTECTION', true);

// get special phrase groups
$phrasegroups = array('vbtube','vbtube_add');

// Cache Templates & Variables
$specialtemplates = array();

$globaltemplates = array
(
	'vbtube_editc',
	'vbtube_edittube',
	'vbtube_editpa',
	'vbtube_editview',
	'vbtube_umenu',
	'vbtube_usermenu',
	'vbtube_delstop',
	'vbtube_css'
);

$actiontemplates = array();

// include 'vbtube/includes/vbtube_outside_path.php';
// if($path) chdir($path);

// Include Globals
require_once('./global.php');
require_once('./vbtube_functions_add.php');
$vbt_var['admin_group'] = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['isvbtadmin']; 
if($vbulletin->options['vbtube_tabswitch'])
	include 'vbtube/includes/vbtube_tabs.php';

$vbt_var['catfontsize']='+2';
$delpath = &$vbulletin->options['vbtube_path'];
$delpath = substr($delpath,0,-1); // Cut trailling slash
$embed_string=0;

if($vbulletin->options['vbtube_seopower']) 
{
	include_once 'vbtube/plugins/vbseo.php';
}

// Check Permissions
if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])) 
{	
	print_no_permission();
}
$cavlink = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canadd'];
$candel = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['candelete']; 
$canedit = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canedit'];
$seeytbrowser = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canusebrw'];


if($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod'])	
{ 
	$vbt_var['canmod']=1; 
	$seeadmin=&$vbt_var['canmod'];
}

if($vbulletin->options['vbtube_usermenu'])
{
	$templater = vB_Template::create('vbtube_umenu');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['umenu'] = $templater->render();	
}

// #######################################################################
// ############################ delete ###################################
// #######################################################################

if ($_REQUEST['do'] == 'delstop')
{	
	// Get TubeID
	$tubeid= $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$apr= $vbulletin->input->clean_gpc('r', 'apr', TYPE_UINT);
	$delall= $vbulletin->input->clean_gpc('r', 'delall', TYPE_UINT);
	$postid = $vbulletin->input->clean_gpc('r', 'postid', TYPE_UINT);
	$redid = $vbulletin->input->clean_gpc('r', 'redid', TYPE_UINT);
	
	// Get TubeData for actions
	$tubes = $db->query_first("
	SELECT tubeid, title, forumid, link1img, link3, filename, filename_img, categoryid, userid, username, active, reviewid, mediatype, site
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE tubeid='$tubeid' 
	");

	if (($vbulletin->userinfo['userid']==$tubes['userid'] AND $candel) OR ($vbt_var['canmod']))	
	{ 
		// do nothing or maybe anything ?
	} 
	else
	{
		print_no_permission();
	}	
	
	if($delall)
	{
		$vbt_var['dellink']="vbtube_action.php?do=editcnow&amp;postid=$postid&amp;tubeid=$tubeid&amp;delall=1";
		$vbt_var['delmsg']=&$tubes['username'];
		$vbt_var['delphrase']=&$vbphrase['vbtube_delcmall'];
	}
	else
	{
		$vbt_var['dellink']="vbtube_action.php?do=del&amp;tubeid=$tubeid&amp;delstop=1";
		$vbt_var['delmsg']=&$tubes['title'];
		$vbt_var['delphrase']=&$vbphrase['vbtube_delstop'];
	}
	if(!$redid) 
	{	
		$vbt_var['redlink']=vbtube_link($vbulletin->options['vbtube_seopower'],$tubes['title'],$tubeid);
	}
	if($redid==2) 
	{
		$vbt_var['redlink']="vbtube_admin.php?do=appro2";
	}
	
	$navbits = construct_navbits(array('' => $vbphrase['vbtube_tube_delete']));
	$navbar = render_navbar_template($navbits);		
	
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_delstop');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_tube_delete']);
	$templater->register('vbt_var', $vbt_var);	
	
	print_output($templater->render());		
}	
// **********************************************************************************************************
if ($_REQUEST['do'] == 'del')
{	
	// Get TubeID
	$tubeid= $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$apr= $vbulletin->input->clean_gpc('r', 'apr', TYPE_UINT);
	$delstop= $vbulletin->input->clean_gpc('r', 'delstop', TYPE_UINT);			

	// DelCat
	$delcatid=vbtube_delcat();
	
	// Get TubeData for actions tubeid,forumid,userid,mediatype,site,reviewid
	$tubes = $db->query_first("SELECT * FROM " . TABLE_PREFIX . "vbtube_tubes WHERE tubeid='$tubeid'");

	if (($vbulletin->userinfo['userid']==$tubes['userid'] AND $candel) OR ($vbt_var['canmod']))
	{		
		if($delstop) $vbulletin->url=$vbulletin->options['vbtube_index'] . $vbulletin->session->vars['sessionurl'] . "";
		
		//Delete vbtube_tubes db entry
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
			SET	categoryid='$delcatid',
				active=0,
				reviewid=0,
				deleted=1
			WHERE tubeid = '$tubeid'
		");			
		
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_part
			SET	mediatype = '$tubes[mediatype]',
				site = '$tubes[site]',
				del = 1
			WHERE tubeid = '$tubeid'");			

		$db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_ratings
			WHERE tubeid = $tubeid
			");
			
		$db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_favourites
			WHERE tubeid = $tubeid
			");	
		
		if($vbulletin->options['vbtube_comdb']) 
		{
			$db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_comments
				WHERE tubeid = $tubeid
				"); 
		}
		else
		{
			$db->query_write("DELETE FROM " . TABLE_PREFIX . "thread
				WHERE threadid = $tubes[reviewid]
			");

			$db->query_write("DELETE FROM " . TABLE_PREFIX . "post
				WHERE threadid = $tubes[reviewid]
			");		
			
			/* Comment out if you want to update the forum last thread/post display. 
			$rplycount = $db->query_first("
			SELECT threadid, replycount
			FROM " . TABLE_PREFIX . "thread
			WHERE threadid='$tubes[reviewid]' 
			");

			// Update Forum Counter - 1
			$db->query_write("UPDATE " . TABLE_PREFIX . "forum
				SET	threadcount = threadcount -1,
					replycount = replycount - '$rplycount[replycount]'
				WHERE forumid = '$tubes[forumid]'
			");	

			// ***********************************************************************					
			// Update Forum
			$lasttube = $db->query_first("
			SELECT vbtube_tubes.title AS title,
				   vbtube_tubes.reviewid AS reviewid,
				   post.postid AS postid,
				   post.threadid AS threadid,
				   post.username AS username,
				   post.userid AS userid,
				   post.dateline AS dateline
						   
			FROM " . TABLE_PREFIX . "vbtube_tubes as vbtube_tubes LEFT JOIN " . TABLE_PREFIX . "post as post ON
				(vbtube_tubes.reviewid = post.threadid) ORDER BY post.threadid DESC LIMIT 1
				");

			// Update Forumhome		
			$db->query_write("UPDATE " . TABLE_PREFIX . "forum
				SET	lastpost = '$lasttube[dateline]',
					lastposter = '" . $vbulletin->db->escape_string($lasttube[username]) . "',
					lastpostid = '$lasttube[postid]',
					lastthread = '" . $vbulletin->db->escape_string($lasttube[title]) . "',
					lastthreadid = '$lasttube[reviewid]'
				WHERE forumid = '$tubes[forumid]'
			");	
			// Comment out if you want to update the forum last thread/post display. */
		}

		//Send Notification to user
		if($vbulletin->options['vbtube_email_stop'])
		{
			$message=$vbulletin->options['vbtube_tube_rejected'];
			vbmail($toemail = $tubes['email'], $subject = $tubes['title'], $message, $notsubscription = true, $from = $vbulletin->options['vbtube_email'], $uheaders = '', $username = $tubes['username']);
		}
		
			
		$vbulletin->url="vbtube_show.php?".$vbulletin->session->vars['sessionurl']."tubeid=". $tubeid;
		eval(print_standard_redirect('vbtube_tube_deleted', true, true));
	}
	
	eval(print_standard_redirect('vbtube_no_delete_tube', true, true));
}
// #######################################################################
// ############################ edit  ####################################
// #######################################################################
if ($_REQUEST['do'] == 'editp')
{
	if(!$canedit)
		print_no_permission();
	
	$vbt_var['paid'] = $vbulletin->input->clean_gpc('r', 'paid', TYPE_UINT);
	
	$pat = $db->query_first("
	SELECT id, tubeid, link1, link2, link3, link4, link1img, site, filename, filename_img, duration, active, mediatype
	FROM " . TABLE_PREFIX . "vbtube_part
	WHERE id = '$vbt_var[paid]' 
	");
	
	if(!$pat['link4'])
		$pat['link4'] = &$pat['link3'];

	$vbt_var['tubeid']=&$pat['tubeid'];
	$vbt_var['link4']=&$pat['link4'];
	
	$navbits = construct_navbits(array('' => $vbphrase['vbtube_tube_edit']));
	$navbar = render_navbar_template($navbits);		
	
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_editpa');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_tube_edit']);
	$templater->register('vbt_var', $vbt_var);	
	
	print_output($templater->render());	
	
}
// ******************************************************************************************************

if ($_REQUEST['do'] == 'editpnow')
{
	if(!$canedit)
		print_no_permission();

	$paid = $vbulletin->input->clean_gpc('r', 'paid', TYPE_UINT);
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$link4 = $vbulletin->input->clean_gpc('p', 'link4', TYPE_STR);

	$usercheck = $db->query_first("
	SELECT tubeid,userid,mediatype,site
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE tubeid = '$tubeid' 
	");		
	
	if(($usercheck['userid'] == $vbulletin->userinfo['userid'] AND $canedit) OR $vbt_var['canmod'])
	{	
		$link3 = &$link4;
		$link1 = &$link4;
		
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_part
		SET	link1 = '" . $vbulletin->db->escape_string($link1) . "',
			link4 = '" . $vbulletin->db->escape_string($link4) . "',
			site = '" . $vbulletin->db->escape_string($usercheck[site]) . "',
			active = '1',
			mediatype = '$usercheck[mediatype]'
		WHERE id = '$paid'
		");

		$vbulletin->url="vbtube_show.php?do=tube&amp;tubeid=". $tubeid . "&amp;id=" . $paid . "&amp;pt=1" . $vbulletin->session->vars['sessionurl'] . "";
		eval(print_standard_redirect('vbtube_tube_added', true, true));
	}
	
	eval(print_standard_redirect('vbtube_no_delete_tube', true, true));
}

//******************************************************************************************************

if ($_REQUEST['do'] == 'editc')
{
	$postid = $vbulletin->input->clean_gpc('r', 'postid', TYPE_UINT);
	
	$cmt = $db->query_first("
	SELECT postid, tubeid, username, userid, title, dateline, pagetext
	FROM " . TABLE_PREFIX . "vbtube_comments
	WHERE postid = '$postid' 
	");

	$navbits = construct_navbits(array('' => $vbphrase['vbtube_tube_edit']));
	$navbar = render_navbar_template($navbits);			

	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_editc');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_tube_edit']);
	$templater->register('cmt', $cmt);	
	
	print_output($templater->render());		
	
}
//*******************************************************************************************************
if ($_REQUEST['do'] == 'editcnow')
{
	$postid = $vbulletin->input->clean_gpc('r', 'postid', TYPE_UINT);
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$del = $vbulletin->input->clean_gpc('r', 'del', TYPE_UINT);
	$delall = $vbulletin->input->clean_gpc('r', 'delall', TYPE_UINT);
	$comment = $vbulletin->input->clean_gpc('p', 'comment', TYPE_STR);
	
	$cmt = $db->query_first("
	SELECT postid, tubeid, username, userid, title, dateline, pagetext
	FROM " . TABLE_PREFIX . "vbtube_comments
	WHERE postid = '$postid' 
	");	
	
	if($delall AND $vbt_var['canmod'])
	{
		$db->query_write("DELETE FROM " . TABLE_PREFIX . "vbtube_comments
		WHERE userid = $cmt[userid]
		");

		$vbulletin->url="vbtube_show.php?do=tube&tubeid=". $tubeid . $vbulletin->session->vars['sessionurl'] . "";
		eval(print_standard_redirect('vbtube_tube_deleted', true, true));		
	}

	if(($cmt['userid'] == $vbulletin->userinfo['userid'] AND $canedit) OR $vbt_var['canmod'])
	{
		if($del)
		{
			$db->query_first("DELETE FROM " . TABLE_PREFIX . "vbtube_comments
			WHERE postid = $postid
			");
			
			// Update Tube Table
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	totalcom = totalcom - 1
				WHERE tubeid = '$tubeid'
			");				
			
			$vbulletin->url="vbtube_show.php?do=tube&tubeid=". $tubeid . $vbulletin->session->vars['sessionurl'] . "";
			eval(print_standard_redirect('vbtube_tube_editcdel', true, true));		
		}
		else
		{
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_comments
			SET	pagetext = '" . $vbulletin->db->escape_string($comment) . "'
			WHERE postid = '$postid'
			");
		}

		$vbulletin->url="vbtube_show.php?do=tube&tubeid=". $tubeid . $vbulletin->session->vars['sessionurl'] . "";
		eval(print_standard_redirect('vbtube_tube_editc', true, true));	
	}
	
	$vbulletin->url="vbtube_show.php?do=tube&tubeid=". $tubeid . $vbulletin->session->vars['sessionurl'] . "";
	eval(print_standard_redirect('vbtube_no_edit_tube', true, true));
}
//*******************************************************************************************************
if ($_REQUEST['do'] == 'edit')
{

	// Get TubeID
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$edfi = $vbulletin->input->clean_gpc('r', 'efi', TYPE_UINT);
	
	$flvname1 = rand(1,999);
	$flvname2 = rand(1,99999);
	$vbt_var['flvname'] = $flvname1.'_'.$flvname2;
	
	// Get TubeData for actions
	$tubes = $db->query_first("
	SELECT tubeid, categoryid, vidlang, title, link1, link3, link1img, filename, filename_mp4, filename_img, aboutme, userid,  keywords, tube, mediatype, reviewid, positive, active, site
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE tubeid='$tubeid'
	");

	$vbt_var['oid']= substr($tubes[filename],0,-4); 
	$vbt_var['hide_file']=1;
	
	if($vbulletin->userinfo['userid'] == $tubes['userid'] OR ($vbt_var['canmod'])) 
	{
		$catname_get = $db->query_read("
		SELECT categoryid, title
		FROM " . TABLE_PREFIX . "vbtube_categories
		WHERE categoryid='$tubes[categoryid]'
		");		

		$catname = $vbulletin->db->fetch_array($catname_get);

		if($tubes['mediatype']=='embed' AND !$vbt_var['admin_group'])
		{
			eval(print_standard_redirect('vbtube_no_delete_tube', true, true));
		}

		if($tubes['mediatype']=='embed' AND $vbt_var['admin_group'])
		{	
			$vbt_var['embed_string'] = 1;
		}	

		// Get Parts
		$partcounter = 2;
		$parts_get = $db->query_read("
					SELECT id, tubeid, link1, link1img 
					FROM " . TABLE_PREFIX . "vbtube_part WHERE tubeid='$tubes[tubeid]' 
		");

		while ($parts = $vbulletin->db->fetch_array($parts_get))
		{
		   $partcounter ++;
		}			

		if ($tubes['mediatype']=="video") 
		{			
			$vbt_db="WHERE cattype !=2 AND deleted='' ORDER BY display";
		}		 
		if ($tubes['mediatype']=="embed") 
		{
			$vbt_db="WHERE cattype !=2 AND deleted='' ORDER BY display";
		}
		
		// Get All Categories For Drop Down
		$get_categories = $db->query_read("
		SELECT title, categoryid, display, forumid, sub, sub2
		FROM " . TABLE_PREFIX . "vbtube_categories
		$vbt_db
		");
		
		while ($categories = $vbulletin->db->fetch_array($get_categories))
		{
			if($categories['sub']) $categories['title'] = "- " . $categories['title']; 
			if($categories['sub2'])	$categories['title'] = "--- " . $categories['title'];
			// Set Option Values
			$option = $categories['title'];
			$optionid = $categories['categoryid'];
			// Make Option Selected If Needed
			unset ($optionselected);
			if ($categories['categoryid'] == $categoryid) $optionselected = " selected=selected";
			// Create Categories
			$vbt_var['catoptions'] .= '<option value="' . $optionid . '"' . $optionselected . '>' . $option . '</option>';
		}
		$vbt_var['catoptions'] .= '<option selected value="' . $tubes[categoryid] . '"' . $optionselected . '>' . $catname[title] . '</option>';


		// Create Vidlang Dropdown
		ob_start();
		include('vbtube/includes/vbtube_vidlangs.inc.php');
		$vbt_var['vbtube_vidlangs'] = ob_get_contents();
		$vbt_var['vbtube_vidlangs'] .= '<option selected value="' . $tubes[vidlang] . '"' . $optionselected . '>' . $tubes[vidlang] . '</option>';
		ob_end_clean();

		if($path) include 'vbtube/includes/vbtube_external.php';
		
		$navbits = construct_navbits(array('' => $vbphrase['vbtube_menu_toplist']));
		$navbar = render_navbar_template($navbits);		
		$templater = vB_Template::create('vbtube_css');
		$vbt_tpl['css'] = $templater->render();				
		
		// ###### Template Render ######
		$templater = vB_Template::create('vbtube_editview');
		$templater->register_page_templates();
		$templater->register('navbar', $navbar);
		$templater->register('pagenav', $pagenav);
		$templater->register('pagetitle', $vbphrase['vbtube_tube_edit']);
		$templater->register('tubes', $tubes);
		$templater->register('vbt_var', $vbt_var);
		$templater->register('vbt_tpl', $vbt_tpl);

		print_output($templater->render());		
		
	}
	print_no_permission();
}

// #######################################################################
// ############################ Save edited ##############################
// #######################################################################
if ($_REQUEST['do'] == 'editnow')
{
	// Get Values
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);

	$title= $vbulletin->input->clean_gpc('p', 'title', TYPE_NOHTML);
	$aboutme= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'aboutme', TYPE_NOHTML));
	$keywords= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'keywords', TYPE_NOHTML));
	$categoryid= $vbulletin->input->clean_gpc('p', 'categoryid', TYPE_NOHTML);
	$vidlang= $vbulletin->input->clean_gpc('p', 'vidlang', TYPE_NOHTML);
	$link1= $vbulletin->input->clean_gpc('p', 'link1', TYPE_NOHTML);
	$link1img= $vbulletin->input->clean_gpc('p', 'link1img', TYPE_NOHTML);
	$link3=$link1;
	$embed_string=$link1;
	$linkembed = $vbulletin->input->clean_gpc('p', 'linkembed', TYPE_STR);
	$checkbox = $vbulletin->input->clean_gpc('p', 'tube', TYPE_NOHTML);
	$site = $vbulletin->input->clean_gpc('r', 'site', TYPE_UINT);
	
	// Get TubeData for actions
	$tubes_get = $db->query_read("
		SELECT tubeid, link, userid, mediatype, reviewid, site
		FROM " . TABLE_PREFIX . "vbtube_tubes
		WHERE tubeid='$tubeid'
		");

	$tubes = $vbulletin->db->fetch_array($tubes_get);
	$mylink=vbtube_link($vbulletin->options['vbtube_seopower'],$title,$tubeid);

	if ($tubes[mediatype]=="video") 
	{	
		include("vbtube/includes/sites/$site.php");
		$vbtube_get_details=vbtube_video($link3,0,0,0);
		$link1=$vbtube_get_details['0'];
		$url_flv=$vbtube_get_details['7'];
	}


	// Permissions Check and Start saving edited Tube (is Moderator or Admin)
	if(($vbulletin->userinfo['userid']==$tubes['userid'] AND $canedit) OR ($vbt_var['canmod']))
	{
		if($embed_string == "embed")
		{
			$link1 = $linkembed;
			$link3 = "embed";
			$site = '';
		}	

		$vbt_var['topindex']= $vbulletin->input->clean_gpc('p', 'topindex', TYPE_UINT);
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
			SET	title = '" . $vbulletin->db->escape_string($title) . "',
				aboutme = '" . $vbulletin->db->escape_string($aboutme) . "',
				link1img= '" . $vbulletin->db->escape_string($link1img) . "',
				link1 = '" . $vbulletin->db->escape_string($link1) . "',
				link3 = '" . $vbulletin->db->escape_string($link3) . "',
				" . iif($url_flv,'url_flv = \''.$vbulletin->db->escape_string($url_flv).'\',') . "
				tube='$checkbox',
				keywords = '" . $vbulletin->db->escape_string($keywords) . "',
				vidlang = '" . $vbulletin->db->escape_string($vidlang) . "',
				site = '$site',
				categoryid = '$categoryid',
				positive = '$vbt_var[topindex]'
			WHERE tubeid = '$tubeid'
			");		

		if(!$vbulletin->options['vbtube_comdb'])
		{
			// ForumID Selection moving Thread to new ForumID
			$get_forumid = $db->query_first("
				SELECT categoryid, forumid
				FROM " . TABLE_PREFIX . "vbtube_categories
				WHERE categoryid = $categoryid
				LIMIT 1
				");
				
			$forumid=&$get_forumid['forumid'];

			$db->query_write("UPDATE " . TABLE_PREFIX . "thread
					SET	forumid = '$get_forumid[forumid]',
						title = '" . $vbulletin->db->escape_string($title) . "'
					WHERE threadid = '$tubes[reviewid]'
					");	
			
			$db->query_write("UPDATE " . TABLE_PREFIX . "post
					SET	title = '" . $vbulletin->db->escape_string($title) . "'
					WHERE threadid = '$tubes[reviewid]'
					");						
		}
				
		$vbulletin->url="$mylink" . $vbulletin->session->vars['sessionurl'] . "";
		eval(print_standard_redirect('vbtube_tube_added', true, true));
	}
	
$vbulletin->url="$mylink" . $vbulletin->session->vars['sessionurl'] . "";
eval(print_standard_redirect('vbtube_no_edit_tube', true, true));
}


// #######################################################################
// ############################ delete Parts #############################
// #######################################################################
if ($_REQUEST['do'] == 'delpart')
{
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$partid = $vbulletin->input->clean_gpc('r', 'id', TYPE_UINT);  
		
	// Get TubeData for actions
	$tubes2 = $db->query_first("
		SELECT tubeid,userid,title,mediatype,site
		FROM " . TABLE_PREFIX . "vbtube_tubes
		WHERE tubeid='$tubeid'
		");

	if($vbulletin->userinfo['userid'] == $tubes2['userid'] AND $canedit) 
	{				
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_part
				SET	site='$tubes2[site]',
					mediatype='$tubes2[mediatype]',				
					del = 1
				WHERE id = $partid
				");				
		
		$mylink=vbtube_link($vbulletin->options['vbtube_seopower'],$tubes2['title'],$tubeid);
		$vbulletin->url="$mylink" . $vbulletin->session->vars['sessionurl'] . "";
		eval(print_standard_redirect('vbtube_tube_deleted', true, true));
	}	
	eval(print_standard_redirect('vbtube_no_delete_tube', true, true));
}	
?>