<?php
// +------------------------------------------------------------------------+
// | vBTubePRO v2.0 LE - Light Edition - Free
// +------------------------------------------------------------------------+
// | Developed by: www.vbtube.com 
// | Copyright: (c) 2007-2012 vBTube.com. All rights reserved.
// | Kreuzkamp & Partner Certificate Number: 0916-2009
// +------------------------------------------------------------------------+
// You are not allowed to copy, redistribute and distribute or change any part of vBTube 
// If you don't accept, please remove vBTube from your server.

// You have the right to use vBTube as it is
// Downloading vBTube software is only allowed from vBTube.com or vBulletin.org

// | If you have downloaded this software from a website other
// | than www.vbtube.com, vbulletin.org or if you have received
// | this software from someone who is not a representative of
// | vBTube.com, it's likely that you are involved in an illegal activity.
// | In such case, please contact: vbtube.com@googlemail.com

// Please do not remove the Copyright Phrase. 
// If you need the Branding Free vBTubePRO please contact vbtube.com@googlemail.com or www.vbtube.com

// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// #################### DEFINE IMPORTANT CONSTANTS #######################

define('THIS_SCRIPT', 'vbtube');
define('CSRF_PROTECTION', true);  

// ################### PRE-CACHE TEMPLATES AND DATA ######################
// get special phrase groups
$phrasegroups = array('vbtube','vbtube_add');

// get special data templates from the datastore
$specialtemplates = array();

// pre-cache templates used by all actions
$globaltemplates = array(
'vbtube_new',
'vbtube_newphoto',
'vbtube_newphotolink',
'vbtube_redirect',
'vbtube_umenu',
'vbtube_newembed',
'vbtube_css',
'vbtube_up'
);

// pre-cache templates used by specific actions
$actiontemplates = array();

// ######################### REQUIRE BACK-END ############################
require_once('./global.php');
require_once('./vbtube_functions_add.php');
$vbt_var['admin_group'] = $permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['isvbtadmin']; 

// Check Permissions
if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])) print_no_permission(); 
$vbt_var['cavlink']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canadd']; 
$vbt_var['canmod']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod']; //$seeadmin
$vbt_var['linfo'] = &$vbulletin->options['vbtube_linfo'];

if($vbulletin->options['vbtube_tabswitch'])
	include 'vbtube/includes/vbtube_tabs.php';
$vbt_var['act_addup']=' class="active"';
// #######################################################################
// ######################## START MAIN SCRIPT ############################
// #######################################################################

$navbits = construct_navbits(array('' => $vbphrase['vbtube_menu_toplist']));
$navbar = render_navbar_template($navbits);
$vbt_var['whois'] = &$vbulletin->userinfo['userid'];
$vbt_var['whois_group'] = &$vbulletin->userinfo['usergroupid'];
$vbt_var['whois_name'] = &$vbulletin->userinfo['username'];
$vbt_var['email'] = &$vbulletin->userinfo['email'];
$vbt_var['upload_thumb'] = &$vbulletin->options['vbtube_upload_thumb']; //Eigentlich alles ersetzt mit $vbulletin->options['vbtube_upload_thumb'], sicherheitshalber
$vbt_var['allow_adult'] = &$vbulletin->options['vbtube_allow_adult'];
$vbt_var['useapproval']=&$vbulletin->options['vbtube_approval'];
$vbt_var['seoon'] = &$vbulletin->options['vbtube_seopower'];
$vbt_var['vbtube_path'] = &$vbulletin->options['vbtube_path']; // with ending slash forum path
$vbt_var['pdshow']=1;
$vbt_var['catfontsize']='+1';
$vbt_var['fs'] = 11;
$vbt_var['cs1'] = 20;
$vbt_var['cs2'] = 7;
$vbt_var['cs3'] = 5;
$joindate = time();

if($vbulletin->options['vbtube_seopower']) 
{
	include_once 'vbtube/plugins/vbseo.php';
}

if($vbulletin->options['vbtube_usermenu'])
{
	$templater = vB_Template::create('vbtube_umenu');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['umenu'] = "<br />".$templater->render();	
}

// New TubeLink
if ($_REQUEST['do'] == 'add')
{
	$vbt_var['site_title']=&$vbphrase['vbtube_add_videolink'];
	// Check Permission (add tube?)
	if(!$vbt_var['cavlink']) {
		Header("Location: ".$vbulletin->options['bburl']."/vbtube_add.php?do=up"); 
	}

	// Get TubeID
	$vbt_var['tubeid'] = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$vbt_var['part'] = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);
	$vbt_var['q'] = $vbulletin->input->clean_gpc('r', 'q', TYPE_UINT);
	$vbt_var['cw'] = $vbulletin->input->clean_gpc('r', 'cw', TYPE_UINT); //Coming from watching page	
	$vbt_var['link1'] = $vbulletin->input->clean_gpc('p', 'l1', TYPE_NOHTML);
	$vbt_var['link1'] = strip_tags(addslashes($vbt_var['link1'])); //??????
	$vbt_var['pdshow']=1; // part don't show
	
	if($vbt_var['q'] AND $vbt_var['link1'])
	{		
		$vbt_var['site']=vbtube_transformer($vbt_var['link1']);
		include("vbtube/includes/sites/$vbt_var[site].php");
		

		$vbtube_get_details=vbtube_video($vbt_var['link1'],0,0,0);
		
		//Convert youtu.be to youtube.com
		if($vbt_var['site']=='1') {
			$vbt_var['link1'] = str_replace("http://youtu.be/", "http://www.youtube.com/watch?v=", $vbt_var['link1']);
		}
				
		//$title,$aboutme,$keywords,$vbt_var['link1']img,$duration,$site		
		$vbt_var['title']=&$vbtube_get_details['0'];
		$vbt_var['aboutme']=&$vbtube_get_details['1'];
		
		$vbt_var['keywords']=&$vbtube_get_details['2'];
		$vbt_var['keywords']=trim($vbt_var['keywords']);
		
		$vbt_var['link1img']=&$vbtube_get_details['3'];
		$vbt_var['duration']=&$vbtube_get_details['4'];
		$vbt_var['site']=&$vbtube_get_details['5'];
		$vbt_var['imgext']=&$vbtube_get_details['6'];		
		$vbt_var['url_flv']=&$vbtube_get_details['7'];
		
		if(!$vbt_var['aboutme']) $vbt_var['aboutme']='';
		if($vbulletin->options['vbtube_yticonv'] AND $vbt_var['site'] !=2)
		{
			//$origchar=$vbulletin->options['vbtube_ytcharset2'];
			//$ytcharset = $vbulletin->options['vbtube_ytcharset'];				
			$vbt_var['title'] = iconv($vbulletin->options['vbtube_ytcharset2'],$vbulletin->options['vbtube_ytcharset'],"$vbt_var[title]");
			$vbt_var['aboutme'] = iconv($vbulletin->options['vbtube_ytcharset2'],$vbulletin->options['vbtube_ytcharset'],"$vbt_var[aboutme]");
			$vbt_var['keywords'] = iconv($vbulletin->options['vbtube_ytcharset2'],$vbulletin->options['vbtube_ytcharset'],"$vbt_var[keywords]");
		}
	}	

	if(!$vbt_var['part'])
	{
		$vbt_var['catoptions']=vbtube_get_cat('cattype !=2 AND deleted=\'\'');
	}
	else
	{
		$vbt_var['pdshow']=0;
		$vbt_var['linfo']=0; //L-Inf
		$vbphrase['vbtube_add_info']=$vbphrase['vbtube_addp_info'];
	}

	// Create Locations
	ob_start();
	include('vbtube/includes/vbtube_vidlangs.inc.php');
	$vbt_var['vidlangs'] = ob_get_contents();
	ob_end_clean();
	
	$navbits = construct_navbits(array('' => $vbphrase['vbtube_add_videolink']));
	$navbar = render_navbar_template($navbits);	
	
	$templater = vB_Template::create('vbtube_css');
	$vbt_tpl['css'] = $templater->render();		

	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_new');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_newtube']);
	$templater->register('vbt_var', $vbt_var);
	$templater->register('vbt_tpl', $vbt_tpl);

	print_output($templater->render());
}

//******************************************************************************************************
//******************************************************************************************************
//******************************************************************************************************
// Save New TubeLink 
if ($_REQUEST['do'] == 'addnew')
{
	if(!$vbt_var['cavlink']) print_no_permission();

	// Get TubeID
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$part = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);
	$site = $vbulletin->input->clean_gpc('r', 'site', TYPE_UINT);
	$xurl = $vbulletin->input->clean_gpc('r', 'xurl', TYPE_NOHTML);
	$cw = $vbulletin->input->clean_gpc('r', 'cw', TYPE_UINT); //Coming from watching page

	// Get Values
	$categoryid= $vbulletin->input->clean_gpc('p', 'categoryid', TYPE_UINT);
	$tube= $vbulletin->input->clean_gpc('p', 'tube', TYPE_NOHTML);
		
	$vidlang= $vbulletin->input->clean_gpc('p', 'vidlang', TYPE_NOHTML);
	//$title= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'title', TYPE_NOHTML));
	$title= $vbulletin->input->clean_gpc('p', 'title', TYPE_NOHTML);
	$aboutme= $vbulletin->input->clean_gpc('p', 'aboutme', TYPE_NOHTML); 
	$keywords= $vbulletin->input->clean_gpc('p', 'keywords', TYPE_NOHTML);
	$url_flv= $vbulletin->input->clean_gpc('p', 'url_flv', TYPE_NOHTML);
	$duration= $vbulletin->input->clean_gpc('p', 'duration', TYPE_NOHTML);
	$link1= $vbulletin->input->clean_gpc('p', 'link1', TYPE_NOHTML);
	$link1img= $vbulletin->input->clean_gpc('p', 'link1img', TYPE_NOHTML);
	$joindate = time();
		

	// Upload Control
	if ((!$title AND !$part) OR (!$categoryid AND !$part))
	{
		eval(standard_error(fetch_error('vbtube_upload_failed'))); 
	}
	
	if (!$link1) eval(standard_error(fetch_error('vbtube_upload_empty'))); 

	$link3=$link1;

	if($vbulletin->options['vbtube_upload_thumb'] AND !$tubeid)
	{
		$filename  = $_FILES['photofile']["name"];
		$ext =  strtolower(substr(strrchr($filename, '.'), 0));
		$filename_tmp = basename($_FILES['photofile']['tmp_name'].$ext);
		
		$vbt_var['vbtube_path'] = $vbt_var['vbtube_path'].'vbtube';
		if (!$filename) eval(standard_error(fetch_error('vbtube_upload_empty'))); 

		if ($ext<>'.jpg' AND $ext<>'.jpeg' AND $ext<>'.gif' AND $ext<>'.png') 
		{
			eval(standard_error(fetch_error('vbtube_upload_wrong_type', $ext)));
		}
		else 
		{
			$uploadfile = $vbt_var['vbtube_path'] . '/tmp/' . $filename_tmp;
		
			if (move_uploaded_file($_FILES['photofile']['tmp_name'], $uploadfile)) 
			{
				//chmod ($uploadfile,0755);
			
				list($width, $height) = getimagesize($uploadfile);
			
				$vbtube_new_sizes=vbtube_photo_resize($width,$height,130,1);
				$newwidth=$vbtube_new_sizes['0'];
				//$newheight=$vbtube_new_sizes['1'];		
				$newheight=&$vbulletin->options['vbtube_tube_imgheight_right'];
				vbtube_create_image($width,$height,$newwidth,$newheight,$ext,
									$uploadfile,$vbt_var['vbtube_path'].'/photos/thumbs_video/',$filename_tmp,60,6);
				unlink($uploadfile);
			} 
			else 
			{
				eval(standard_error(fetch_error('vbtube_upload_failed')));
			}
		}
	}
	
	//Google block
	if($site !='2' AND !$part AND $vbulletin->options['vbtube_upload_thumbl'])
	{
		$temp_path = $vbt_var['vbtube_path'] . 'vbtube/upload/thumb_link/';
		$newfilename=vbtube_get_file($link1img,$temp_path);	
		$link1img = $vbulletin->options['bburl'] . "/vbtube/upload/thumb_link/$newfilename";
	}
	
	if(!$site)
		$site=vbtube_transformer($link3);
	
	if($site==25 OR $site==26)
	{
		if(!$vbulletin->options['vbtube_allow_adult']) 
		{
			eval(standard_error(fetch_error('vbtube_upload_failed_site')));
		}
		$tube=1;
	}
	
	if(!$site) eval(standard_error(fetch_error('vbtube_upload_failed_site')));
	
	//return array($link1,$link1img,$link1img2,$link1img3,$site,$imgext)
	include("vbtube/includes/sites/$site.php");
	$vbtube_get_details=vbtube_video($link1,1,0,$link1img);
	$link1=$vbtube_get_details['0'];
	/*if($site==1)
	{
		$link1img=$vbtube_get_details['1'];
		$link1img2=$vbtube_get_details['2'];
		$link1img3=$vbtube_get_details['3'];
	}*/
	$imgext=$vbtube_get_details['5'];

	// Video Sites Control
	if (!$site OR $site==112) eval(standard_error(fetch_error('vbtube_upload_failed_site'))); 	

	if($tubeid)
	{
		// Save Part - If this is a Part of a Video save it and exit
		$tubes_redirect = $db->query_first("
		SELECT tubeid, userid, title, site, reviewid FROM " . TABLE_PREFIX . "vbtube_tubes 
		WHERE tubeid='$tubeid'");

		if($site != $tubes_redirect['site']) eval(standard_error(fetch_error('vbtube_upload_same_site')));
		if($vbulletin->userinfo['userid'] == $tubes_redirect['userid'] OR $vbt_var['canmod'])
		{
			$db->query_write("INSERT " . TABLE_PREFIX . "vbtube_part
				SET	tubeid = '$tubeid',
					link1 = '" . $db->escape_string($link1) . "',
					link4 = '" . $db->escape_string($link3) . "',
					site = '$site',
					active = 1
				");	
			//$npartid=$vbulletin->GPC['id'] = $db->insert_id();
			//$redfrompart=vbtube_plink($seoon,$tubes_redirect[$title],$tubes_redirect[tubeid],$npartid);
			if($cw) {
				$redfrompart=vbtube_link($vbulletin->options['vbtube_seopower'],$tubes_redirect['title'],$tubes_redirect['tubeid']);
				$vbulletin->url="$redfrompart" . $vbulletin->session->vars['sessionurl'] . "";
			}
			else {
				$vbulletin->url="vbtube_add.php?do=redirect&amp;tubeid=$tubeid&amp;t=1" . $vbulletin->session->vars['sessionurl'] . "";
			}
			
			eval(print_standard_redirect('vbtube_tube_added', true, true));
		} 
		else 
		{		
			print_no_permission(); 
		}
	}
	$ext =  strtolower(substr(strrchr($link1img, '.'), 0));

	if(!$imgext AND !$vbulletin->options['vbtube_upload_thumb'])
	{
		if($ext<>'.jpg' AND $ext<>'.jpeg' AND $ext<>'.gif' AND $ext<>'.png' AND $ext<>'.bmp') 
		{
			if(eregi(".flv", $link1) OR eregi(".mp4", $link1) OR eregi(".mp3", $link1)) 
			{
				if(eregi(".mp3", $link1)) $link1img=$vbulletin->options['bburl'].'/vbtube/images/musicfolder.png';
				else $link1img=$vbulletin->options['bburl'].'/vbtube/images/xine.png';			
			}
			else
			{
				if($site != 53)
				eval(standard_error(fetch_error('vbtube_upload_wrong_type_vid', $ext)));
			}
		}
	}
	if(eregi(".mp3", $link1)) $result_mediatype = $vbphrase['vbtube_result_mp3'];
	else $result_mediatype = $vbphrase['vbtube_result_video'];	
		
	if($vbulletin->options['vbtube_approval']) $active=0;
	else $active=1;
	//$active=vbtube_aprmail($title,$vbulletin->options['vbtube_approval']);
	
	// ForumID Selection
	$get_forumid = $db->query_first("
	SELECT title, categoryid, display, forumid
	FROM " . TABLE_PREFIX . "vbtube_categories
	WHERE categoryid = $categoryid
	LIMIT 1
	");

	$forumid=$get_forumid['forumid'];
	$type = "video";

	// Add Full Title Text to Keywords
	$taglist = $keywords;
	if($keywords) 
	{	
		$keywords .= ",$title";
	}
	else 
	{
		$keywords = $title;
	}
	
	$keywords = trim($keywords);
	
	// Save New Video
	$db->query_write("INSERT " . TABLE_PREFIX . "vbtube_tubes
	SET	categoryid = '$categoryid',
		forumid = '$forumid',
		userid = '$vbt_var[whois]',
		username = '" . $db->escape_string($vbt_var[whois_name]) . "',
		email = '$vbt_var[email]',
		vidlang = '" . $db->escape_string($vidlang) . "',
		keywords = '" . $db->escape_string($keywords) . "',
		title = '" . $db->escape_string($title) . "',
		aboutme = '" . $db->escape_string($aboutme) . "',
		active = '$active',
		tube = '$tube',
		mediatype = '$type',
		site = '$site',
		votes = '0',
		rates = '0',
		rating = '0.00',
		duration = '" . $db->escape_string($duration) . "',
		link1 = '" . $db->escape_string($link1) . "',
		link3 = '$link3',
		link1img = '" . $db->escape_string($link1img) . "',		
		thumb_type = '$thumb_type',
		filename_img = '" . $db->escape_string($filename_tmp) . "',
		url_flv = '" . $db->escape_string($url_flv) . "',
		joindate = '$joindate'
	");

	$getnewid=$vbulletin->GPC['tubeid'] = $db->insert_id();
	$tubeid=$getnewid;
	$mylink=vbtube_link($vbulletin->options['vbtube_seopower'],$title,$getnewid);
	
	/*
	$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
	SET	link = '$mylink2'
	WHERE tubeid = $getnewid
	");*/

	// Reviews OFF
	if (!$vbulletin->options['vbtube_approval'])
	{
		if($vbulletin->options['vbtube_comdb'])
		{	
			// Update Video Link with Thread_ID_Link - Bug mylink muss nicht sein
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
									SET	link = '$mylink', 
										active = '1'
									WHERE tubeid = $tubeid
									");						
		}
		else
		{
				$getreviewid=vbtube_create_thread
				(
					$forumid,$vbt_var['whois'],$vbt_var['whois'],$vbt_var['whois_name'],$pagetext,$title,$allowsmilie,$visible,$views,$dateline,$result_mediatype,0
				);
		
				$vbtube_pagetext=vbtube_pagetext
				(
					$aboutme,$link1img,$link1img2,$link1img3,
					$vidlang,$mylink,$pagetext,0
				);
				
				$pagetext=$vbtube_pagetext['6'];
				
				vbtube_tpf($getreviewid,$tubeid,$pagetext,$joindate,$vbt_var['whois_name'],$vbt_var['whois'],$title,$forumid);
		}
		vbtube_upcat($categoryid);
		$vbulletin->url="vbtube_add.php?do=redirect&amp;tubeid=$tubeid&amp;t=1" . $vbulletin->session->vars['sessionurl'];
		eval(print_standard_redirect('vbtube_tube_added', true, true));		
	}
	else
	{
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
		SET	link = '$mylink'
		WHERE tubeid = $getnewid
		");
		//eval(print_standard_redirect('vbtube_tube_apro_wait', true, true));
		$vbulletin->url="vbtube_add.php?do=redirect&amp;tubeid=$tubeid&amp;t=1" . $vbulletin->session->vars['sessionurl'];
		eval(print_standard_redirect('vbtube_tube_added', true, true));			
	}
}

//******************************************************************************************************
//******************************************************************************************************
//******************************************************************************************************
if ($_REQUEST['do'] == 'addnewembed')
{
	// Check Permission (iis Admin?)
	if(!$vbt_var['admin_group']) print_no_permission(); 	

	// Get TubeID
	$vbt_var['tubeid'] = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$vbt_var['part'] = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);
	$vbt_var['cw'] = $vbulletin->input->clean_gpc('r', 'cw', TYPE_UINT); //Coming from watching page
	$audio_embed=$vbulletin->input->clean_gpc('p', 'audioembed', TYPE_UINT);
		
	if($vbt_var['part'])
	{
		$vbt_var['pdshow']=0;
		//$vbphrase['vbtube_addplink_info']=$vbphrase['vbtube_upphotop_info'];
	}
	else
	{
		$vbt_var['catoptions']=vbtube_get_cat('cattype !=2 AND deleted=\'\'');
	}
	
	// Create Locations
	ob_start();
	include('vbtube/includes/vbtube_vidlangs.inc.php');
	$vbt_var['vidlangs'] = ob_get_contents();
	ob_end_clean();

	$navbits = construct_navbits(array('' => $vbphrase['vbtube_link_embed']));
	$navbar = render_navbar_template($navbits);
	$templater = vB_Template::create('vbtube_css');
	$vbt_tpl['css'] = $templater->render();		
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_newembed');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_link_embed']);
	$templater->register('vbt_var', $vbt_var);
	$templater->register('vbt_tpl', $vbt_tpl);

	print_output($templater->render());	

}
//''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
if ($_REQUEST['do'] == 'addembed')
{
	// Check Permission (iis Admin?)
	if(!$vbt_var['admin_group']) print_no_permission(); 	

	// Get TubeID
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$part = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);

	// Get Values
	$tube= $vbulletin->input->clean_gpc('p', 'tube', TYPE_NOHTML);
	$categoryid= $vbulletin->input->clean_gpc('p', 'categoryid', TYPE_UINT);
	$vidlang= $vbulletin->input->clean_gpc('p', 'vidlang', TYPE_NOHTML);
	$title= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'title', TYPE_NOHTML));
	$aboutme= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'aboutme', TYPE_NOTHML));
	$keywords= convert_urlencoded_unicode($vbulletin->input->clean_gpc('p', 'keywords', TYPE_NOHTML));
	$link1= $vbulletin->input->clean_gpc('p', 'link1', TYPE_STR);
	$link1img= $vbulletin->input->clean_gpc('p', 'link1img', TYPE_NOHTML);
	$cw = $vbulletin->input->clean_gpc('r', 'cw', TYPE_UINT); //Coming from watching page
	$audio_embed=$vbulletin->input->clean_gpc('p', 'audioembed', TYPE_UINT);
	$joindate = time();
	
	if($audio_embed)
	$phrase_thread_title=&$vbphrase['vbtube_result_mp3'];
	else
	$phrase_thread_title=&$vbphrase['vbtube_result_video'];

	// Manage Photo
	$filename  = $_FILES['photofile']["name"];

	// Upload Control
	if((!$title AND !$part) OR (!$categoryid AND !$part)) eval(standard_error(fetch_error('vbtube_upload_failed'))); 
	if (!$link1) eval(standard_error(fetch_error('vbtube_upload_empty'))); 

	$link3=$link1;

	if($vbulletin->options['vbtube_upload_thumb'] AND !$tubeid)
	{
		$filename  = $_FILES['photofile']["name"];
		$ext =  strtolower(substr(strrchr($filename, '.'), 0));
		$filename_tmp = basename($_FILES['photofile']['tmp_name'].$ext);
		
		$vbt_var['vbtube_path'] .= 'vbtube';
		if (!$filename) eval(standard_error(fetch_error('vbtube_upload_empty'))); 

		if ($ext<>'.jpg' AND $ext<>'.jpeg' AND $ext<>'.gif' AND $ext<>'.png') 
		{
			eval(standard_error(fetch_error('vbtube_upload_wrong_type', $ext)));
		}
		else 
		{
			$uploadfile = $vbt_var['vbtube_path'] . '/tmp/' . $filename_tmp;
		
			if (move_uploaded_file($_FILES['photofile']['tmp_name'], $uploadfile)) 
			{
				//chmod ($uploadfile,0755);
			
				list($width, $height) = getimagesize($uploadfile);
			
				$vbtube_new_sizes=vbtube_photo_resize($width,$height,130,1);
				$newwidth=$vbtube_new_sizes['0'];
				//$newheight=$vbtube_new_sizes['1'];		
				$newheight=&$vbulletin->options['vbtube_tube_imgheight_right'];
				vbtube_create_image($width,$height,$newwidth,$newheight,$ext,
									$uploadfile,$vbt_var['vbtube_path'].'/photos/thumbs_video/',$filename_tmp,60,6);
				unlink($uploadfile);
			} 
			else 
			{
				eval(standard_error(fetch_error('vbtube_upload_failed')));
			}
		}
		$link1img = $vbulletin->options['bburl'] . "/vbtube/photos/thumbs_video/$filename_tmp";
		//$link1img=$vbtube_up_thumbnail;
	}

	// ********************************************************************************************	

	if($tubeid)
	{
		// Save Part - If this is a Part of a Video Safe it and exit

		$tubes_redirect = $db->query_first("
		SELECT tubeid, userid, title, link, reviewid FROM " . TABLE_PREFIX . "vbtube_tubes WHERE tubeid='$tubeid' AND active=1 LIMIT 1 ");
		//$tubes_redirect = $vbulletin->db->fetch_array($tubes_redirect_get);	
		//$redfrompart=vbtube_link($seoon,$tubes_redirect[$title],$tubes_redirect[tubeid]);
		if($vbt_var['whois'] == $tubes_redirect['userid'] OR $vbt_var['canmod'])
		{
			$db->query_write("INSERT " . TABLE_PREFIX . "vbtube_part
				SET	tubeid = '$tubeid',
					link1 = '" . $db->escape_string($link1) . "'
			");	
			$npartid=$vbulletin->GPC['id'] = $db->insert_id();
			
			if($cw)
				$redfrompart=vbtube_plink($vbulletin->options['vbtube_seopower'],$tubes_redirect['title'],$tubes_redirect['tubeid'],$npartid);
			else
				$redfrompart="vbtube_add.php?do=redirect&amp;tubeid=$tubeid&amp;t=4";
			
			$vbulletin->url="$redfrompart" . $vbulletin->session->vars['sessionurl'] . "";
			eval(print_standard_redirect('vbtube_tube_added', true, true));
		} 
		else 
		{		
			print_no_permission(); 
		}
	}

	// ForumID Selection
	$get_forumid = $db->query_first("
	SELECT title, categoryid, display, forumid
	FROM " . TABLE_PREFIX . "vbtube_categories
	WHERE categoryid = $categoryid
	LIMIT 1
	");

	$forumid=$get_forumid[forumid];
	$type = "embed";

	// Add Full Title Text to Keywords
	$keywords .= " $title";
	
	// Save New Video
	$db->query_write("INSERT " . TABLE_PREFIX . "vbtube_tubes
	SET	categoryid = '$categoryid',
		forumid = '$forumid',
		userid = '$vbt_var[whois]',
		username = '" . $db->escape_string($vbt_var[whois_name]) . "',
		email = '$vbt_var[email]',
		vidlang = '" . $db->escape_string($vidlang) . "',
		keywords = '" . $db->escape_string($keywords) . "',
		title = '" . $db->escape_string($title) . "',
		aboutme = '" . $db->escape_string($aboutme) . "',
		active = '1',
		tube = '$tube',
		link = '" . $db->escape_string($mylink) . "',
		mediatype = '$type',
		site = '$site',
		votes = '0',
		rates = '0',
		rating = '0.00',
		link1 = '" . $db->escape_string($link1) . "',
		link3 = 'embed',
		link1img = '" . $db->escape_string($link1img) . "',
		filename_img = '" . $db->escape_string($filename_tmp) . "',
		joindate = '$joindate'
		");

	$getnewid=$vbulletin->GPC['tubeid'] = $db->insert_id();
	$tubeid=$getnewid;
	
	if($cw)
		$mylink=vbtube_link($vbulletin->options['vbtube_seopower'],$title,$getnewid);
	else
		$mylink="vbtube_add.php?do=redirect&amp;tubeid=$tubeid&amp;t=4";
	
	$mylinkdb=vbtube_link($vbulletin->options['vbtube_seopower'],$title,$getnewid);
	
	$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
	SET	link = '$mylinkdb'
	WHERE tubeid = $getnewid
	");

	if($vbulletin->options['vbtube_comdb'])
	{	
		// Update Video Link with Thread_ID_Link
		$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
								SET	link = '$mylinkdb', 
									active = '1'
								WHERE tubeid = $tubeid
								");								
	}
	else
	{
		$getreviewid=vbtube_create_thread
		(
			$forumid,$vbt_var['whois'],$vbt_var['whois'],$vbt_var['whois_name'],$pagetext,$title,$allowsmilie,$visible,$views,$dateline,$phrase_thread_title,0
		);
		
		$vbtube_pagetext=vbtube_pagetext
		(
			$aboutme,$link1img,$link1img2,$link1img3,
			$vidlang,$mylinkdb,$pagetext,0
		);
		
		$pagetext=$vbtube_pagetext['6'];
		
		vbtube_tpf($getreviewid,$tubeid,$pagetext,$joindate,$vbt_var['whois_name'],$vbt_var['whois'],$title,$forumid);
	}
	vbtube_upcat($categoryid);
	
	$vbulletin->url="$mylink" . $vbulletin->session->vars['sessionurl'] . "";
	eval(print_standard_redirect('vbtube_tube_added', true, true));
}	


// Redirect
if ($_REQUEST['do'] == 'redirect')
{
	$vbt_var['type']=$vbulletin->input->clean_gpc('r', 't', TYPE_UINT);
	$tubeid=$vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$flvname=$vbulletin->input->clean_gpc('r', 'id', TYPE_NOHTML);
	
	switch($vbt_var['type'])
	{
		case 1:
	    $vbt_var['url']="vbtube_add.php?". $vbulletin->session->vars['sessionurl']."do=add&amp;tubeid=$tubeid&amp;pt=1";
		$vbt_var['url2']="vbtube_add.php?". $vbulletin->session->vars['sessionurl']."do=add&pt=0";
		break;
		case 4:
	    $vbt_var['url']="vbtube_add.php?". $vbulletin->session->vars['sessionurl']."do=addnewembed&amp;tubeid=$tubeid&amp;pt=1";
		$vbt_var['url2']="vbtube_add.php?". $vbulletin->session->vars['sessionurl']."do=addnewembed";
		break;	
	}
	
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_redirect');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_newtube']);
	$templater->register('vbt_var', $vbt_var);

	print_output($templater->render());	
}


?>