<?php

// Setup PHP Enviropment
error_reporting(E_ALL & ~E_NOTICE);
// Define Contants
define('THIS_SCRIPT', 'vbtubepro');
define('CSRF_PROTECTION', true); 

// Cache Templates & Variables
// get special phrase groups
$phrasegroups = array(
	'vbtube'
	);

$specialtemplates = array(
	'attachmentcache',
);

$globaltemplates = array(
    'vbtube_reporttube',
    'vbtube_categorybit',
	'vbtube_searchview',
	'vbtube_searchviewbit',
	'vbtube_searchresult',
	'vbtube_sponsorbit',
	'vbtube_pager',
	'vbtube_usermenu',
	'vbtube_randombit',
	'vbtube_searchbit',
	'vbtube_lastkeybit',
	'vbtube_closewindow'
);

$actiontemplates = array();

// include 'vbtube/includes/vbtube_outside_path.php';
// if($path) chdir($path);

// Include Globals
require_once('./global.php');
$vboptions[vbtube_table] = &$vbulletin->options['vbtube_table'];




// Check Permissions
if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])){
    print_no_permission();
}

// #######################################################################
// ############################ Report tube ##############################
// #######################################################################

if ($_REQUEST['do'] == 'report')
{

  // Get Category ID
  $tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
  
  $vbt_var['reporter'] = $vbulletin->userinfo['username'];

  // Get TubeData for reporting
        $tubes_get = $db->query_read("
	    SELECT tubeid, categoryid, title, username, link, active
        FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid='$tubeid' AND active=1
	    ");

        $tubes = $vbulletin->db->fetch_array($tubes_get);

	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_report');
	$templater->register_page_templates();
	$templater->register('vbt_var', $vbt_var);
	$templater->register('tubes', $tubes);

	print_output($templater->render());
}

// #######################################################################
// ############################ Report tube ####################################
// #######################################################################

if ($_REQUEST['do'] == 'reportsend')
{
  // Get Category ID
  $tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
  
  // Get Report Reason
  $reportreason = $vbulletin->input->clean_gpc('r', 'reportreason', TYPE_NOHTML);
  
  // Get TubeData for reporting
      $tubes_get = $db->query_read("
	    SELECT tubeid, categoryid, title, username, link, active, reviewid
        FROM " . TABLE_PREFIX . "vbtube_tubes
        WHERE tubeid='$tubeid' AND active=1
	    ");

        $tubes = $vbulletin->db->fetch_array($tubes_get);

  // Update Reported tube
  $db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	reported = 1,
                    reportcategory = '$tubes[categoryid]',
                    reportreason = '" . $db->escape_string($reportreason) . "',
                    reporteruser = '" . $db->escape_string($reporter) . "'
					WHERE tubeid = $tubeid
   				");

		$message="REPORTED: \n\n $reportreason \n\n" . " $tubes[link] \n ";
		vbmail($toemail = $vbulletin->options[webmasteremail], $subject = $vbulletin->options[bbtitle], $message, $notsubscription = true, $from = $vbulletin->options[bbtitle], $uheaders = '', $username = $vbulletin->userinfo[username]);

 		echo "<div align=\"center\"><b>$vbphrase[vbtube_message_1]<br />
	$vbphrase[vbtube_message_2]<br /><br /><form action=javascript:window.close() METHOD=POST>
	<input type=submit value=\"Done\" /></form></div><br />";

}

?>