<?php
// +------------------------------------------------------------------------+
// | vBTubePRO v2.0 LE - Light Edition - Free
// +------------------------------------------------------------------------+
// | Developed by: www.vbtube.com 
// | Copyright: (c) 2007-2012 vBTube.com. All rights reserved.
// | Kreuzkamp & Partner Certificate Number: 0916-2009
// +------------------------------------------------------------------------+
// You are not allowed to copy, redistribute and distribute or change any part of vBTube 
// If you don't accept, please remove vBTube from your server.

// You have the right to use vBTube as it is
// Downloading vBTube software is only allowed from vBTube.com or vBulletin.org

// | If you have downloaded this software from a website other
// | than www.vbtube.com, vbulletin.org or if you have received
// | this software from someone who is not a representative of
// | vBTube.com, it's likely that you are involved in an illegal activity.
// | In such case, please contact: vbtube.com@googlemail.com

// Please do not remove the Copyright Phrase. 
// If you need the Branding Free vBTubePRO please contact vbtube.com@googlemail.com or www.vbtube.com

// ####################### SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);

// #################### DEFINE IMPORTANT CONSTANTS #######################

define('THIS_SCRIPT', 'vbtube');
define('CSRF_PROTECTION', true);  

// ################### PRE-CACHE TEMPLATES AND DATA ######################
// get special phrase groups
$phrasegroups = array('vbtube');

// get special data templates from the datastore
$specialtemplates = array();

// pre-cache templates used by all actions
$globaltemplates = array(
	'vbtube_css',
	'vbtube_showtube',
	'vbtube_watchtube',
	'vbtube_searchbit',
	'vbtube_rightcolumn',
	'vbtube_parts',
	'vbtube_comments_pages',
	'vbtube_comments',
	'vbtube_sendfriend',
	'vbtube_bookmark',
	'vbtube_umenu',
	'vbtube_randombit_result'
	);

// pre-cache templates used by specific actions
$actiontemplates = array(
	'vbtube_watchtube',
	'vbtube_searchbit',
	'vbtube_rightcolumn'
);

// ######################### REQUIRE BACK-END ############################
require_once('./global.php');
require_once('./vbtube_functions.php');
require_once(DIR . '/includes/class_bbcode.php');

// Check Permissions
if(!($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canuse'])) print_no_permission(); 
$vbt_var['seeytbrowser']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canusebrw'];
$vbt_var['canmod']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canmod'];
$vbt_var['reviews_enable']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['cancom'];
$vbt_var['coptext']=&$vbphrase['vbtube_copyright'];
if($vbulletin->options['vbtube_tabswitch'])
	include 'vbtube/includes/vbtube_tabs.php';

$vbt_tpl['umenu']='<br />';	//Navbar bei show
	
if($vbulletin->options['vbtube_usermenu'])
{
	$templater = vB_Template::create('vbtube_umenu');
	$templater->register('vbt_tpl', $vbt_tpl);
	$templater->register('vbt_var', $vbt_var);
	$vbt_tpl['umenu'] .= $templater->render();	
}		

$navbits = construct_navbits(array('' => $vbphrase['vbtube_menu_toplist']));
$navbar = render_navbar_template($navbits);

// #######################################################################
// ######################## START MAIN SCRIPT ############################
// #######################################################################
$vbt_var['whois'] =&$vbulletin->userinfo['userid'];
//$vbt_var['rightad'] = &$vbulletin->options['vbtube_tube_rightbox'];
$vbt_var['midad'] = &$vbulletin->options['vbtube_tube_midbox']; 
//$vbt_var['sponsor'] = &$vbulletin->options['vbtube_tube_sponsor'];
$vbt_var['fs'] = 11;
$vbt_var['cs1'] = 20;
$vbt_var['cs2'] = 7;
$vbt_var['cs3'] = 5;
$vbt_var['reviews_enable']=$permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['cancom'];
$vbt_var['seoon'] = &$vbulletin->options['vbtube_seopower'];
$vbt_var['showavp'] = &$vbulletin->options['vbtube_avataryn'];
$vbt_var['checkie'] = strstr($_SERVER["HTTP_USER_AGENT"], "IE");
// BBCODE PARSE
$do_html = true;
$do_smilies = true;
$do_bbcode = true;
$do_imgcode = false;
$do_nl2br = true;
$cachable = true;

if(!$vbulletin->options['vbtube_guest_view'] AND !$vbt_var['whois']) print_no_permission();

if($vbulletin->options['vbtube_seopower']) 
{
	include_once 'vbtube/plugins/vbseo.php';
}

// Start ###############################################################################
if ($_REQUEST['do'] == 'tube' || $_REQUEST['do'] == '')
{
	// Get TubeID
	$tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$vbt_var['part'] = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);
	$vbt_var['apr'] = $vbulletin->input->clean_gpc('r', 'admin_apr', TYPE_UINT);
	
	if($vbt_var['apr']) 
	{
		$vbt_var['apr']="vbtube_tubes.active='0'";
		if(!$vbt_var['canmod']) print_no_permission();
		$ca=1; //Come from admincp
		$vbt_var['reviews_enable']='';
	}
	else 
	{
		$vbt_var['apr']="vbtube_tubes.active='1'";
	}
	
	// Get PartID
	$vbt_var['partid'] = $vbulletin->input->clean_gpc('r', 'id', TYPE_UINT);

	// ComstartID
	$vbt_var['startid'] = $vbulletin->input->clean_gpc('r', 'startid', TYPE_UINT);
	if($vbt_var['startid']<0) $vbt_var['startid']==0; //War bisher vor dem get und hat auch funktioniert
	
	if(!$tubeid) eval(print_standard_redirect('vbtube_no_tube', true, true));

	// Get TubeData for watching
	$tubes = $db->query_first("
	SELECT vbtube_tubes.tubeid AS tubeid, 
	vbtube_tubes.categoryid AS categoryid, 
	vbtube_tubes.userid AS userid, 
	vbtube_tubes.username AS username, 
	vbtube_tubes.title AS title, 
	vbtube_tubes.vidlang AS vidlang, 
	vbtube_tubes.link AS link, 
	vbtube_tubes.link1 AS link1, 
	vbtube_tubes.link3 AS link3,
	vbtube_tubes.link1img AS link1img, 
	vbtube_tubes.filename AS filename, 
	vbtube_tubes.filename_mp4 AS filename_mp4, 
	vbtube_tubes.filename_img AS filename_img, 
	vbtube_tubes.filename_img2 AS filename_img2, 
	vbtube_tubes.photo_mp3 AS photo_mp3, 
	vbtube_tubes.url_flv AS url_flv, 
	vbtube_tubes.mediatype AS mediatype, 
	vbtube_tubes.site AS site, 
	vbtube_tubes.aboutme AS aboutme, 
	vbtube_tubes.active AS active, 
	vbtube_tubes.views AS views, 
	vbtube_tubes.votes AS votes, 
	vbtube_tubes.rating AS rating, 
	vbtube_tubes.keywords as keywords,
	vbtube_tubes.joindate AS joindate, 
	vbtube_tubes.reviewid AS reviewid,
	vbtube_tubes.totalcom AS totalcom,
	vbtube_categories.categoryid AS catid,
	vbtube_categories.title AS cattitle
	FROM " . TABLE_PREFIX . "vbtube_tubes AS vbtube_tubes 
	LEFT JOIN " . TABLE_PREFIX . "vbtube_categories AS vbtube_categories ON
	(vbtube_categories.categoryid=vbtube_tubes.categoryid)
	WHERE vbtube_tubes.tubeid='$tubeid' AND $vbt_var[apr]
	");	
	
	if(!$tubes['active'] AND !$ca) eval(standard_error(fetch_error('vbtube_wait_upload')));
	if($vbulletin->options['vbtube_yt_results']) exit;
	//Check URL
	$vbt_var['chk_link']=vbtube_link($vbulletin->options['vbtube_seopower'],$tubes[title],$tubes[tubeid]);
	if($vbulletin->options['vbtube_modht']) 
	{
		$vbt_var['url_sti'] = $vbulletin->options['bburl']."/media/$tubes[tubeid]-$seoreg2".$vbulletin->input->clean_gpc('r', 'sti', TYPE_STR);
		if($vbt_var['chk_link'] != $vbt_var['url_sti']) {
			  header ('HTTP/1.1 301 Moved Permanently'); 
			  header ("Location: $vbt_var[chk_link]"); 
			  exit();
		}
	}
	
	
	//META TAGS
	if(!$tubes['aboutme']) {
		$tubes['aboutme_new'] = str_replace('"', "'", $tubes['title']);
	}
	else
	{
		$tubes['aboutme_new'] = str_replace('"', "'", $tubes['aboutme']);
	}
	if(!$tubes['keywords']) {
		$tubes['keywords_new'] = str_replace('"', "'", $tubes['title']);
	}
	else
	{
		$tubes['keywords_new'] = str_replace('"', "'", $tubes['keywords']);
	} 	
	
	/*if($tubes['aboutme']) 
		$tubes['fb_keywords']=$tubes['aboutme'];
	else*/ 
		$tubes['fb_keywords']=$tubes['keywords'];
	
	if($vbulletin->options['vbtube_seopower']) exit;
	//Keywords
	$tubes['keywords'] = preg_split("/[,]+/", $tubes['keywords']);
	foreach ($tubes['keywords'] as $keywords)
	{
		$keywords=trim($keywords);
		$keywords2=urlencode($keywords);
		$vbt_var['keywords'] .= '<a href="'.$vbulletin->options['vbtube_index'].'?do=search&amp;mstr='.$keywords2.'">'.$keywords.'</a> ';
	}
	
	//Check candel canedit ?
	$vbt_var['candel']=(($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['candelete']) AND ($vbulletin->userinfo['userid'] == $tubes['userid']) OR ($vbt_var['canmod']));
	$vbt_var['canedit']=(($permissions['vbtube'] & $vbulletin->bf_ugp['vbtube']['canedit']) AND ($vbulletin->userinfo['userid'] == $tubes['userid']) OR ($vbt_var['canmod']));

	// Get Stars for Rating :)
	$vbt_var['ratesymbol'] = vbtube_rate($tubes['rating']);
	$vbt_var['newrating'] = $vbt_var['ratesymbol'] / 2;	
	
	$vbt_var['joindate']=vbdate($vbulletin->options['dateformat'], $tubes['joindate'], true);

	$vbt_var['js']='
		<script type="text/javascript">
		function einblenden(div) {
		  with(document.getElementById(div).style){
			if(display=="none"){
			  display="inline";
			}
			else{
			  display="none";
			}
		  }
		}
		</script>
		<script type="text/javascript"><!-- 
			var AddFav = function(securitytoken)
			{
				var paramFav = \'tubeid='.$tubeid.'&securitytoken=\'+securitytoken;
				var myAjax = new Ajax.Updater(\'fav_result\',\'vbtube_favorites.php?do=favadd\',{parameters: paramFav,onFailure:showError});
			}
			var showError = function(r)
			{
				alert("Error: " +r.status+ "\n" +r.statusText);
			}
			var sendComment = function(securitytoken)
			{
				var param = \'comtext=\'+encodeURIComponent(document.getElementById(\'mytextarea1\').value)
				+
				\'&t='.$tubes[reviewid].'\'
				+
				\'&tubeid='.$tubeid.'\'
				+
				\'&securitytoken=\'+securitytoken
				;
				var myAjax = new Ajax.Updater(\'myspan\',\'vbtube_comment.php?do=add\',{parameters:param,onFailure:showError});
			}
			var showComment = function(nr,securitytoken)
			{
				seitenID=nr*10-10;
				var paramPage = \'tubeid='.$tubeid.'&startid=\'+seitenID+\'&securitytoken=\'+securitytoken;
				var myAjax = new Ajax.Updater(\'comments\',\'vbtube_show.php?do=comment_ajax\',{parameters: paramPage,onFailure:showError});
			}
		--></script>		
		';
		$vbt_var['ratejs']='<script type="text/javascript"><!--
				function rating2(val)
				{
					s4.locked = true;
				}
				var s4 = new Stars({
					maxRating: 5,
					imagePath: \''.$vbulletin->options['bburl'].'/vbtube/images/\',
					actionURL: \'vbtube_show.php?do=rate&tubeid='.$tubes[tubeid].'&rate=\',
					value: \''.$vbt_var[newrating].'\',
					callback: rating2
				});
			--></script>';

	// NexT
	$next_tube = $db->query_first("
	SELECT tubeid, title
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE tubeid < '$tubeid' AND categoryid='$tubes[categoryid]' AND active='1' ORDER BY tubeid DESC
	");	

	if(!$next_tube['tubeid']) 
	{
		$vbt_var['next_link']=$vbphrase['vbtube_menu_next'];
	}
	else 
	{
		$vbt_var['next_link_tmp']=vbtube_link($vbulletin->options['vbtube_seopower'],$next_tube['title'],$next_tube['tubeid']);			
		$vbt_var['next_link']='<a href="'.$vbt_var[next_link_tmp].'">'.$vbphrase[vbtube_menu_next].'</a>';
	}
	
	
	// Is this a part ?
	if($vbt_var['partid']) //AND $tubes['site'] != 777 - nicht mehr ntig wegen php file im player 
	{
		$show_part = $db->query_first("
					SELECT id, tubeid, link1, link3, link4, link1img, site, filename, filename_mp4, filename_img
					FROM " . TABLE_PREFIX . "vbtube_part WHERE id='$vbt_var[partid]' AND del=0
		");	
		
		$tubes['link3']=$show_part['link4'];
		$tubes['filename']=$show_part['filename'];
		$tubes['filename_mp4']=$show_part['filename_mp4'];
		$tubes['firstph_filename_img']=$tubes['filename_img'];// Save, ansonsten als erstes Bild auch als Part
		$tubes['filename_img']=$show_part['filename_img'];
		$tubes['link1img']=$show_part['link1img'];
		$embedcode=$show_part['link1'];
		if($tubes['mediatype']=='link') 
		{
			$tubes['link1']='<a href="'.$show_part['link3'].'" target="_blank"><img src="'.$show_part['link3'].'" alt="'.$tubes[title].'" border="0" /></a>';
			$partpl=1; $vbt_var['showmedia']=1;
		}		
		$vbphrase['vbtube_tube_delete'] = $vbphrase['vbtube_tube_deletep'];	
	}
	
	//Can add part ?
	if($vbulletin->userinfo['userid'] == $tubes['userid'] OR $vbt_var['canmod']) $vbt_var['show_part_button'] = 1;	
	
	// Add Part Button Type	
	switch ($tubes['mediatype'])
	{
		case "video":
		$vbt_var['part_type'] = "vbtube_add.php?do=add";
		$vbt_var['edpa_type'] = "vbtube_action.php?do=editp&amp;paid=$show_part[id]";
		break;
		case "embed":
		$vbt_var['part_type'] = "vbtube_add.php?do=addnewembed";
		break;
	}
	
	//Convert mysql date format to vb
	$tubes['joindate']=vbdate($vbulletin->options['dateformat'], $tubes['joindate'], true);
	
	//Social Bookmark
	$vbt_var['btitle'] = urlencode($tubes['title']);	
	
	$parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());
	$tubes['aboutme'] = $parser->do_parse($tubes['aboutme'], $do_html, $do_smilies, $do_bbcode, $do_imgcode, $do_nl2br, $cachable); 
	
	switch ($tubes['site']) 
	{
		//Youtube
		case 1:	
			$muster= '#v=(.{11})#';
			$resultat= preg_match($muster, $tubes['link3'],$matches);
			$vbt_var['matches']=&$matches['1'];		
				require_once("vbtube/includes/sites/$tubes[site].php");
				$vbtube_get_details=vbtube_video($tubes['link3'],1,$tubes['url_flv'],$tubes['link1img']);
				$tubes['link1']=$vbtube_get_details['0'];
				$tubes['link1']=vbtube_resize_player($tubes['link1'],$vbulletin->options['vbtube_player_width'],$vbulletin->options['vbtube_player_height']);
			$vbt_var['tubes_embed']=&$tubes['link1'];
			$vbt_var['showmedia']=1;			
			
		break;
		//Photo or Photo Link
		case '':
			switch($tubes['mediatype'])
			{
				case 'embed': 
					if($vbt_var['partid']) {
						$tubes['link1']=$embedcode;
					}
					$tubes['link1']=vbtube_resize_player($tubes['link1'],$vbulletin->options['vbtube_player_width'],$vbulletin->options['vbtube_player_height']);
					$vbt_var['tubes_embed'] = $tubes['link1'];			
					$vbt_var['showmedia']=1;
				break;
			}			
		break;		
	}

	//Video Sites > 1
	if($tubes['site'] > 0 AND $tubes['site'] < 888 AND !$stopit)
	{
		require_once("vbtube/includes/sites/$tubes[site].php");
		$vbtube_get_details=vbtube_video($tubes['link3'],1,$tubes['url_flv'],$tubes['link1img']);
		$tubes['link1']=$vbtube_get_details['0'];
		$tubes['link1']=vbtube_resize_player($tubes['link1'],$vbulletin->options['vbtube_player_width'],$vbulletin->options['vbtube_player_height']);
		$vbt_var['tubes_embed'] = &$tubes['link1'];
		$vbt_var['showmedia']=1;
				
	}
	
	//passiv embed code
	$vbt_var['tubes_embed2']=htmlspecialchars($vbt_var['tubes_embed']);
	
	//$vbulletin->options['bburl']."/vbtube_show.php?tubeid=$tubes[tubeid]"; 	
	if($vbulletin->options['vbtube_seopower'])
	{
		//$title_myseo = $tubes[title];
		$vbt_var['title_myseo'] = vbseo_filter_text($tubes['title']);	
		
		//Check wrong title in url - duplicate content 
		$vbt_var['url_name'] = $vbulletin->input->clean_gpc('r', 'name', TYPE_STR);
		$vbt_var['chk_vbseo_link'] = $vbulletin->options['bburl']."/vbtube_show.php?".$vbulletin->session->vars['sessionurl']."tubeid=$tubes[tubeid]&name=$vbt_var[url_name]";
		if($vbt_var['chk_link'] != $vbt_var['chk_vbseo_link']) {
		  header ('HTTP/1.1 301 Moved Permanently'); 
		  header ("Location: $vbt_var[chk_link]"); 
		  exit();
		}		
		
		$vbt_var['parthome'] .= "&amp;name=$vbt_var[title_myseo]";
		$vbt_var['blink'] = vbtube_link($vbulletin->options['vbtube_seopower'],$tubes[title],$tubes[tubeid]); // SEO BOOKMARK
		//$vbt_var['sendlink']=$vbt_var['blink'].'.html';
		//vBSeoRules
		$vbt_var['sendlink']=$vbulletin->options['bburl'].'/videos/'.$tubes['tubeid'].'/'.$vbt_var['title_myseo'].'.html';
		//if($vbt_var['url_name'] != $vbt_var['title_myseo'] AND $vbt_var['url_name']) eval(print_standard_redirect('vbtube_no_tube', true, true));
	} 
	else
	{
		$vbt_var['blink'] = vbtube_link($vbulletin->options['vbtube_seopower'],$tubes[title],$tubes[tubeid]);
		$vbt_var['sendlink']=$vbt_var['blink'];
		
	}
	//ebene2 aboutme
	$howmany = strlen($tubes['aboutme']);
	if($howmany > 150)
	{
		$tubes['aboutme_short']=strip_tags(vbtube_cut_text($tubes['aboutme'],150));
	}
	
	
	//FACEBOOK
	if($show['fb_opengraph'])
	{
		$vbt_var['fb_aboutme']=vbtube_cut_text($tubes['aboutme'],150);
		$vbt_var['fb_aboutme'] = strip_tags($vbt_var['fb_aboutme']);			
		
		$vbt_var['fb_meta']='
		<meta property="fb:app_id" content="'.$vbulletin->options['facebookappid'].'" />
		<meta property="fb:admins" content="'.$vbulletin->options['vbtube_fb_admins'].'"/>
		<meta property="og:site_name" content="'.$vbulletin->options['bbtitle'].'" /> 
		<meta property="og:url" content="'.$vbt_var['sendlink'].'" />
		<meta property="og:title" content="'.$tubes['title'].'"/>
		<meta property="og:description" content="'.$vbt_var['fb_aboutme'].'" />
		<meta property="og:image" content="'.$tubes['link1img'].'" />
		';
		
		$vbt_var['fb_meta'].='<meta property="og:type" content="article" />';
	}	

	
	// Comments
	$vbt_var['reviewid']=$tubes['reviewid']; //BUG?
	
	if($vbt_var['reviewid'] AND $vbt_var['reviews_enable']) 
		$vbt_var['reviews'] = 1; 
	else 
		$vbt_var['reviews_no'] = 1; //BUG?


	$vbt_var['bcpage']=1;
	$vbt_var['ncpage']=2;
	
	$vbt_var['next'] = $vbt_var['startid'] +10; // next com button
	$vbt_var['back'] = $vbt_var['startid'] -10; // back com button

	if($vbulletin->options['vbtube_comdb'])
	{		
		//Pager Comments
		if($tubes['totalcom'] >= 0)
		{
			$vbt_var['totalcomments'] =	&$tubes['totalcom'];			
		}
		else
		{
			$vbt_var['totalcomments'] = vbtube_get_total_com($tubes['tubeid']);
			// Update Tube Table
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	totalcom = '$vbt_var[totalcomments]'
				WHERE tubeid = '$tubeid'
			");	
		}
		//******************************************************		
		
		
		$vbt_tpl['comments_pages'] = vbtube_compager($vbt_var['totalcomments'],$vbt_var['startid']);		
		
		$comquery="SELECT 	" . TABLE_PREFIX . "vbtube_comments.postid AS postid, 
				" . TABLE_PREFIX . "vbtube_comments.tubeid AS tubeid, 
				" . TABLE_PREFIX . "vbtube_comments.username AS username, 
				" . TABLE_PREFIX . "vbtube_comments.userid AS userid, 
				" . TABLE_PREFIX . "vbtube_comments.title AS title, 
				" . TABLE_PREFIX . "vbtube_comments.dateline AS dateline, 
				" . TABLE_PREFIX . "vbtube_comments.pagetext AS pagetext,		
				usergroup.usergroupid AS usergroupid,
				usergroup.usertitle AS utitle,
				usergroup.opentag AS opentag,
				usergroup.closetag AS closetag,
				" . iif($vbt_var['showavp'], 'customavatar.userid AS cavuserid,
				customavatar.dateline AS cavdateline,
				customavatar.width AS cavwidth,
				customavatar.height AS cavheight,')."	
				" . iif($vbulletin->options['vbtube_avatar'], 'avatar.avatarid AS favatarid,
				avatar.avatarpath AS avatarpath,')."				
				user.userid AS puserid,
				user.usergroupid AS groupid,
				user.avatarid AS avatarid,
				user.avatarrevision AS revision	
		FROM " . TABLE_PREFIX . "vbtube_comments
		LEFT JOIN " . TABLE_PREFIX . "user AS user ON(user.userid = " . TABLE_PREFIX . "vbtube_comments.userid)
		" . iif($vbt_var['showavp'], "LEFT JOIN " . TABLE_PREFIX . "customavatar AS customavatar ON(customavatar.userid = " . TABLE_PREFIX . "vbtube_comments.userid)") . "
		" . iif($vbulletin->options['vbtube_avatar'], "LEFT JOIN " . TABLE_PREFIX . "avatar AS avatar ON(avatar.avatarid = user.avatarid)") . "		
		LEFT JOIN " . TABLE_PREFIX . "usergroup AS usergroup ON(usergroup.usergroupid = user.usergroupid)
		WHERE tubeid = '$tubes[tubeid]' ORDER BY dateline DESC LIMIT $vbt_var[startid],10
		";
	}
	else
	{
		//Pager Comments
		if($tubes['totalcom'] >= 1)
		{
			$vbt_var['totalcomments'] =	&$tubes['totalcom'];			
		}
		else
		{
			$vbt_var['totalcomments'] = vbtube_get_total_com2($vbt_var['reviewid']);
			// Update Tube Table
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	totalcom = '$vbt_var[totalcomments]'
				WHERE tubeid = '$tubeid'
			");	
		}
		//******************************************************
		
		$vbt_tpl['comments_pages'] = vbtube_compager($vbt_var['totalcomments'],$vbt_var['startid']);

		$comquery="SELECT 	" . TABLE_PREFIX . "post.postid AS postid, 
				" . TABLE_PREFIX . "post.threadid AS threadid, 
				" . TABLE_PREFIX . "post.parentid AS parentid, 
				" . TABLE_PREFIX . "post.username AS username, 
				" . TABLE_PREFIX . "post.userid AS userid, 
				" . TABLE_PREFIX . "post.title AS title, 
				" . TABLE_PREFIX . "post.dateline AS dateline, 
				" . TABLE_PREFIX . "post.pagetext AS pagetext,
				usergroup.usergroupid AS usergroupid,
				usergroup.usertitle AS utitle,
				usergroup.opentag AS opentag,
				usergroup.closetag AS closetag,
				" . iif($vbt_var['showavp'], 'customavatar.userid AS cavuserid,
				customavatar.dateline AS cavdateline,
				customavatar.width AS cavwidth,
				customavatar.height AS cavheight,')."
				" . iif($vbulletin->options['vbtube_avatar'], 'avatar.avatarid AS favatarid,
				avatar.avatarpath AS avatarpath,')."
				user.userid AS puserid,
				user.usergroupid AS groupid,
				user.avatarid AS avatarid,
				user.avatarrevision AS revision						
		FROM " . TABLE_PREFIX . "post
		LEFT JOIN " . TABLE_PREFIX . "user AS user ON(user.userid = " . TABLE_PREFIX . "post.userid)
		" . iif($vbt_var['showavp'], "LEFT JOIN " . TABLE_PREFIX . "customavatar AS customavatar ON(customavatar.userid = " . TABLE_PREFIX . "post.userid)") . "
		" . iif($vbulletin->options['vbtube_avatar'], "LEFT JOIN " . TABLE_PREFIX . "avatar AS avatar ON(avatar.avatarid = " . TABLE_PREFIX . "user.avatarid)") . "
		LEFT JOIN " . TABLE_PREFIX . "usergroup AS usergroup ON(usergroup.usergroupid = user.usergroupid)
		WHERE threadid = '$vbt_var[reviewid]' AND parentid > '0' ORDER BY dateline DESC LIMIT $vbt_var[startid],10
		";
	}
	$tubes['link1'].="<br />".$vbt_var['coptext'];
	$comments_get = $db->query_read("$comquery");
	while ($cmnt = $db->fetch_array($comments_get))
	{
		$vbt_var['showavp']=1;
		if($vbulletin->options['vbtube_comdb'])
		{
			$vbt_var['modlink']="vbtube_action.php?do=editc&amp;postid=$cmnt[postid]";
		}
		else
		{
			$vbt_var['modlink']="showthread.php?p=$cmnt[postid]&amp;viewfull=1#post$cmnt[postid]";
			//showthread.php?51-xbxcvbxcb&p=55&viewfull=1#post55
		}
		if($vbt_var['showavp'])
		{
			if($cmnt['cavuserid']) 
			{	
				$vbt_var['showav']="image.php?userid=$cmnt[userid]&dateline=$cmnt[cavdateline]&type=thumb";
				$vbt_var['avsize']='';
			}
			else
			{
				$vbt_var['showavp']=0;
				/*
				$vbt_var['showav']="vbtube/images/noavatar.gif";
				$cmnt['cavwidth']=80;
				$cmnt['cavheight']=70;
				*/
			}
		}
		if($vbulletin->options['vbtube_avatar'])
		{
			if($cmnt['avatarpath']) 
			{	
				$vbt_var['showav']=$cmnt['avatarpath']; //$showav
				$vbt_var['avsize']="width=\"$cmnt[cavwidth]\" height=\"$cmnt[cavheight]\""; // Avatar Size 1 - Only Server Filesystem Stored Avatars
				//$cmnt['cavwidth']=80;
				//$cmnt['cavheight']=70;				
			}
			else
			{
				if($cmnt['revision'])
				{
					$vbt_var['showav']='customavatars/avatar'.$cmnt['puserid'].'_'.$cmnt['revision'].'.gif';
					$vbt_var['avsize']="width=\"$cmnt[cavwidth]\" height=\"$cmnt[cavheight]\""; // Avatar Size 2 - Only Server Filesystem Stored Avatars
					//$cmnt['cavwidth']=80;
					//$cmnt['cavheight']=70;						
				}
				else
				{
					$vbt_var['showavp']=0;
					/*
					$vbt_var['showav']="vbtube/images/noavatar.gif";
					$cmnt['cavwidth']=80;
					$cmnt['cavheight']=70;
					*/
				}
			}	
		}		
		$cmnt['posttime']=vbdate($vbulletin->options['timeformat'], $cmnt['dateline']);
		$cmnt['dateline']=vbdate($vbulletin->options['dateformat'], $cmnt['dateline'], true);
		$parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());
		$cmnt['pagetext'] = $parser->do_parse($cmnt['pagetext'], $do_html, $do_smilies, $do_bbcode, $do_imgcode, $do_nl2br, $cachable); 	
		//$cmnt['pagetext'] = nl2br($cmnt[pagetext]);
		fetch_censored_text($cmnt['pagetext']);
		if($cmnt['userid']==$vbulletin->userinfo['userid'] OR $vbt_var['canmod']) { $vbt_var['moderate']=1; } else { $vbt_var['moderate']=0; }
		
		$templater = vB_Template::create('vbtube_comments');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$templater->register('cmnt', $cmnt);
		$vbt_tpl['comments'] .= $templater->render();			
	}	
	//Comments End
	vbtube_chk($vbt_var['coptext']);
	//Views block, cookie or db
	if(!$vbt_var['partid'])
	{		
		setcookie("vbt_ipb", $tubes['tubeid'], time()+3600);
	
		if(isset($_COOKIE['vbt_ipb']))
		{
			if($_COOKIE['vbt_ipb']!=$tubes['tubeid'])
			{
				$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes SET views = views + 1 WHERE tubeid = '$tubes[tubeid]'");
			}
		}
		else 
		{
			$userip = $_SERVER['REMOTE_ADDR'];
			$ip_id= $db->query_first("SELECT tubeid,ip FROM " . TABLE_PREFIX . "vbtube_ip
				WHERE tubeid='$tubes[tubeid]' AND ip='$userip'");		
			
			if(!$ip_id['tubeid']) 
			{
				$db->query_write("INSERT " . TABLE_PREFIX . "vbtube_ip SET tubeid = '$tubes[tubeid]',
								ip = '$userip'");
				$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes SET views = views + 1 WHERE tubeid = '$tubes[tubeid]'");			
			}
		}
	}
	
	// END ##################################################################################

	$rnd_get = $vbulletin->db->query_read("
	SELECT tubeid, categoryid, title, link, link1img, thumb_type, mediatype, tube, views, rating
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE categoryid = '$tubes[categoryid]' AND active='1' ORDER BY rand()
	LIMIT 8
	");

	while ($rndbit = $vbulletin->db->fetch_array($rnd_get))
	{		
		switch($rndbit['thumb_type']) 
		{
			case 0:
				$vbt_var['img_width_right']=110;
				$vbt_var['img_height_right']=90;						
			break;
			case 1:
				$vbt_var['img_width_right']=70;
				$vbt_var['img_height_right']=90;
			break;
			case 2:
				$vbt_var['img_width_right']=110;
				$vbt_var['img_height_right']=40;
			break;
		}			
		$rndbit['link']=vbtube_link($vbulletin->options['vbtube_seopower'],$rndbit['title'],$rndbit[tubeid]);	
		$vbt_var['ratesymbol_rnd']=vbtube_rate($rndbit['rating']);

		$rndbit['title']=vbtube_cut_text($rndbit['title'],$vbulletin->options['vbtube_tube_count']);
		
		$templater = vB_Template::create('vbtube_randombit_result');
		$templater->register('vbt_var', $vbt_var);
		$templater->register('rndbit', $rndbit);
		$vbt_tpl['randombit'] .= $templater->render();		
	}	
	
	/*	
	if($vbulletin->options['vbtube_autotube'])
	{
		include 'vbtube/includes/vbtube_autotube.php';
		$templater = vB_Template::create('vbtube_sponsorbit');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$vbt_tpl['sponsorbit'] = $templater->render();	
	}*/
	

	if($vbulletin->options['vbtube_right_column'])
	{
		$vbt_var['rightfield1'] = $vbulletin->options['vbtube_right_column'] - 60 . 'px'; 
		$templater = vB_Template::create('vbtube_searchbit');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$vbt_tpl['searchbit'] = $templater->render();
		
		$templater = vB_Template::create('vbtube_sendfriend');
		$vbt_var['tubeid']=&$tubes['tubeid']; 
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$vbt_tpl['sendfriendbit'] = $templater->render();	

		$templater = vB_Template::create('vbtube_bookmark');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$vbt_tpl['bookmark'] = $templater->render();			
		
		$templater = vB_Template::create('vbtube_rightcolumn');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$vbt_tpl['rightcolumn'] = $templater->render();	
	}

	$templater = vB_Template::create('vbtube_css');
	$vbt_tpl['css'] = $templater->render();	

	
	$tubes['title']=wordwrap($tubes['title'],50," ",1);
	$tubes['aboutme']=wordwrap($tubes['aboutme'],50," ",1);
	
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_watchtube');
	$templater->register_page_templates();
	$templater->register('navbar', $navbar);
	$templater->register('pagenav', $pagenav);
	$templater->register('pagetitle', $vbphrase['vbtube_menu_toplist']);
	$templater->register('vbt_var', $vbt_var);
	$templater->register('tubes', $tubes);
	$templater->register('vbt_tpl', $vbt_tpl);

	print_output($templater->render());
}
// #######################################################################
// ############################ Rate tube #####################################
// #######################################################################
if ($_REQUEST['do'] == 'rate')
{

  // Get TubeID
  $tubeid = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);

  $rate = $vbulletin->input->clean_gpc('r', 'rate', TYPE_UINT);

  $voter = $vbulletin->userinfo['userid'];
  if(!$voter) exit;
  // if($rate>5) $rate = 5;

// *************************************************************************************************

	// Check Rated before ? Get Data from vbtube_ratings
	$checkrate = $db->query_first("
	SELECT tubeid, userid
	FROM " . TABLE_PREFIX . "vbtube_ratings
	WHERE tubeid='$tubeid' && userid='$voter'
	LIMIT 1
	");

// *************************************************************************************************
	// Stop already rated users
	if($voter=$checkrate[userid]) exit;

	// Votes+1
	$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
	SET votes = votes + 1, rates = rates + '$rate' WHERE tubeid = '$tubeid'
	");
// *************************************************************************************************
// Get Rating Data
	$myrate = $db->query_first("
	SELECT tubeid, votes, rates
	FROM " . TABLE_PREFIX . "vbtube_tubes
	WHERE tubeid='$tubeid' AND active=1
	");

  // Calc Rating
  if($myrate[votes]<=0) 
  { 
	$myrate[votes]=1; 
	$myrate[rates]=$rate; 
  }

  $rating = $myrate[rates] / $myrate[votes];

  // Writing Rating
  $db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
							   SET rating = '$rating' WHERE tubeid = '$tubeid'
							   ");

  // Save Rate (Rating only one time allowed)
  $voter = $vbulletin->userinfo['userid'];
  $db->query_write("INSERT " . TABLE_PREFIX . "vbtube_ratings
		SET	tubeid = '$tubeid',
			userid = '$voter',
			rate = '$rate'
		");

  exit;

}

// #####################################################################
if ($_REQUEST['do'] == 'comment_ajax')
{
	// Get TubeID
	$vbt_var['tubeid'] = $vbulletin->input->clean_gpc('r', 'tubeid', TYPE_UINT);
	$vbt_var['part'] = $vbulletin->input->clean_gpc('r', 'pt', TYPE_UINT);
	// Get PartID
	$vbt_var['partid'] = $vbulletin->input->clean_gpc('r', 'id', TYPE_UINT);
	// Profile ID
	$vbt_var['startid'] = $vbulletin->input->clean_gpc('r', 'startid', TYPE_UINT);
	
	if($vbt_var['startid']<0) $vbt_var['startid']==0;
	
	//Next Back
	$create_pages = $vbt_var['startid'] / 10 ;
	$create_pages = intval($create_pages)+1;		
	
	$vbt_var['bcpage']=$create_pages-1;
	$vbt_var['ncpage']=$create_pages+1;	
	
	
	if(!$vbt_var['tubeid'])	eval(print_standard_redirect('vbtube_no_tube', true, true));
	
	// Get TubeData for watching
	$tubes = $db->query_first("
	SELECT vbtube_tubes.tubeid AS tubeid, 
	vbtube_tubes.reviewid AS reviewid,
	vbtube_tubes.totalcom AS totalcom
	FROM " . TABLE_PREFIX . "vbtube_tubes as vbtube_tubes JOIN " . TABLE_PREFIX . "vbtube_categories as vbtube_categories ON
	(vbtube_tubes.tubeid='$vbt_var[tubeid]') 
	");	
	
	$tubes['joindate']=vbdate($vbulletin->options['dateformat'], $tubes['joindate'], true);
		
	$vbt_var['reviewid']=$tubes['reviewid'];
	
	if($vbt_var['reviewid'] AND $vbt_var['reviews_enable']) 
		$vbt_var['reviews'] = 1; 
	else	
		$vbt_var['reviews_no'] = 1;

	
	$vbt_var['next'] = $vbt_var['startid'] +10; // next com button
	$vbt_var['back'] = $vbt_var['startid'] -10; // back com button

	if($vbulletin->options['vbtube_comdb'])
	{		
		//Pager Comments
		if($tubes['totalcom'] >= 0)
		{
			$vbt_var['totalcomments'] =	&$tubes['totalcom'];			
		}
		else
		{
			$vbt_var['totalcomments'] = vbtube_get_total_com($tubes['tubeid']);
			// Update Tube Table
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	totalcom = '$vbt_var[totalcomments]'
				WHERE tubeid = '$tubeid'
			");	
		}
		//******************************************************		
		
		
		$vbt_tpl['comments_pages'] = vbtube_compager($vbt_var['totalcomments'],$vbt_var['startid']);		
		
		$comquery="SELECT 	" . TABLE_PREFIX . "vbtube_comments.postid AS postid, 
				" . TABLE_PREFIX . "vbtube_comments.tubeid AS tubeid, 
				" . TABLE_PREFIX . "vbtube_comments.username AS username, 
				" . TABLE_PREFIX . "vbtube_comments.userid AS userid, 
				" . TABLE_PREFIX . "vbtube_comments.title AS title, 
				" . TABLE_PREFIX . "vbtube_comments.dateline AS dateline, 
				" . TABLE_PREFIX . "vbtube_comments.pagetext AS pagetext,		
				usergroup.usergroupid AS usergroupid,
				usergroup.usertitle AS utitle,
				usergroup.opentag AS opentag,
				usergroup.closetag AS closetag,
				" . iif($vbt_var['showavp'], 'customavatar.userid AS cavuserid,
				customavatar.dateline AS cavdateline,
				customavatar.width AS cavwidth,
				customavatar.height AS cavheight,')."	
				" . iif($vbulletin->options['vbtube_avatar'], 'avatar.avatarid AS favatarid,
				avatar.avatarpath AS avatarpath,')."				
				user.userid AS puserid,
				user.usergroupid AS groupid,
				user.avatarid AS avatarid,
				user.avatarrevision AS revision	
		FROM " . TABLE_PREFIX . "vbtube_comments
		LEFT JOIN " . TABLE_PREFIX . "user AS user ON(user.userid = " . TABLE_PREFIX . "vbtube_comments.userid)
		" . iif($vbt_var['showavp'], "LEFT JOIN " . TABLE_PREFIX . "customavatar AS customavatar ON(customavatar.userid = " . TABLE_PREFIX . "vbtube_comments.userid)") . "
		" . iif($vbulletin->options['vbtube_avatar'], "LEFT JOIN " . TABLE_PREFIX . "avatar AS avatar ON(avatar.avatarid = user.avatarid)") . "		
		LEFT JOIN " . TABLE_PREFIX . "usergroup AS usergroup ON(usergroup.usergroupid = user.usergroupid)
		WHERE tubeid = '$tubes[tubeid]' ORDER BY dateline DESC LIMIT $vbt_var[startid],10
		";
	}
	else
	{
		//Pager Comments
		if($tubes['totalcom'] >= 1)
		{
			$vbt_var['totalcomments'] =	&$tubes['totalcom'];			
		}
		else
		{
			$vbt_var['totalcomments'] = vbtube_get_total_com2($vbt_var['reviewid']);
			// Update Tube Table
			$db->query_write("UPDATE " . TABLE_PREFIX . "vbtube_tubes
				SET	totalcom = '$vbt_var[totalcomments]'
				WHERE tubeid = '$tubeid'
			");	
		}
		//******************************************************
		
		$vbt_tpl['comments_pages'] = vbtube_compager($vbt_var['totalcomments'],$vbt_var['startid']);
		
		$comquery="SELECT 	" . TABLE_PREFIX . "post.postid AS postid, 
				" . TABLE_PREFIX . "post.threadid AS threadid, 
				" . TABLE_PREFIX . "post.parentid AS parentid, 
				" . TABLE_PREFIX . "post.username AS username, 
				" . TABLE_PREFIX . "post.userid AS userid, 
				" . TABLE_PREFIX . "post.title AS title, 
				" . TABLE_PREFIX . "post.dateline AS dateline, 
				" . TABLE_PREFIX . "post.pagetext AS pagetext,
				usergroup.usergroupid AS usergroupid,
				usergroup.usertitle AS utitle,
				usergroup.opentag AS opentag,
				usergroup.closetag AS closetag,
				" . iif($vbt_var['showavp'], 'customavatar.userid AS cavuserid,
				customavatar.dateline AS cavdateline,
				customavatar.width AS cavwidth,
				customavatar.height AS cavheight,')."
				" . iif($vbulletin->options['vbtube_avatar'], 'avatar.avatarid AS favatarid,
				avatar.avatarpath AS avatarpath,')."
				user.userid AS puserid,
				user.usergroupid AS groupid,
				user.avatarid AS avatarid,
				user.avatarrevision AS revision						
		FROM " . TABLE_PREFIX . "post
		LEFT JOIN " . TABLE_PREFIX . "user AS user ON(user.userid = " . TABLE_PREFIX . "post.userid)
		" . iif($vbt_var['showavp'], "LEFT JOIN " . TABLE_PREFIX . "customavatar AS customavatar ON(customavatar.userid = " . TABLE_PREFIX . "post.userid)") . "
		" . iif($vbulletin->options['vbtube_avatar'], "LEFT JOIN " . TABLE_PREFIX . "avatar AS avatar ON(avatar.avatarid = " . TABLE_PREFIX . "user.avatarid)") . "
		LEFT JOIN " . TABLE_PREFIX . "usergroup AS usergroup ON(usergroup.usergroupid = user.usergroupid)
		WHERE threadid = '$vbt_var[reviewid]' AND parentid > '0' ORDER BY dateline DESC LIMIT $vbt_var[startid],10
		";
	}

	$comments_get = $db->query_read("$comquery");
	while ($cmnt = $db->fetch_array($comments_get))
	{
		if($vbulletin->options['vbtube_comdb'])
		{
			$vbt_var['modlink']="vbtube_action.php?do=editc&amp;postid=$cmnt[postid]";
		}
		else
		{
			$vbt_var['modlink']="showthread.php?p=$cmnt[postid]&amp;viewfull=1#post$cmnt[postid]";
			//showthread.php?51-xbxcvbxcb&p=55&viewfull=1#post55
		}
		if($vbt_var['showavp'])
		{
			if($cmnt['cavuserid']) 
			{	
				$vbt_var['showav']="image.php?userid=$cmnt[userid]&dateline=$cmnt[cavdateline]&type=thumb";
				$vbt_var['avsize']='';
			}
			else
			{
				$vbt_var['showav']="vbtube/images/noavatar.gif";
				$cmnt['cavwidth']=80;
				$cmnt['cavheight']=70;
			}
		}
		if($vbulletin->options['vbtube_avatar'])
		{
			if($cmnt['avatarpath']) 
			{	
				$vbt_var['showav']=$cmnt['avatarpath']; //$showav
				$vbt_var['avsize']="width=\"$cmnt[cavwidth]\" height=\"$cmnt[cavheight]\""; // Avatar Size 1 - Only Server Filesystem Stored Avatars
				//$cmnt['cavwidth']=80;
				//$cmnt['cavheight']=70;				
			}
			else
			{
				if($cmnt['revision'])
				{
					$vbt_var['showav']='customavatars/avatar'.$cmnt['puserid'].'_'.$cmnt['revision'].'.gif';
					$vbt_var['avsize']="width=\"$cmnt[cavwidth]\" height=\"$cmnt[cavheight]\""; // Avatar Size 2 - Only Server Filesystem Stored Avatars
					//$cmnt['cavwidth']=80;
					//$cmnt['cavheight']=70;						
				}
				else
				{
					$vbt_var['showav']="vbtube/images/noavatar.gif";
					$cmnt['cavwidth']=80;
					$cmnt['cavheight']=70;
				}
			}	
		}		
		$cmnt['posttime']=vbdate($vbulletin->options['timeformat'], $cmnt['dateline']);
		$cmnt['dateline']=vbdate($vbulletin->options['dateformat'], $cmnt['dateline'], true);
		$parser =& new vB_BbCodeParser($vbulletin, fetch_tag_list());
		$cmnt['pagetext'] = $parser->do_parse($cmnt['pagetext'], $do_html, $do_smilies, $do_bbcode, $do_imgcode, $do_nl2br, $cachable); 	
		//$cmnt['pagetext'] = nl2br($cmnt[pagetext]);
		fetch_censored_text($cmnt['pagetext']);
		if($cmnt['userid']==$vbulletin->userinfo['userid'] OR $vbt_var['canmod']) { $vbt_var['moderate']=1; } else { $vbt_var['moderate']=0; }
		
		$templater = vB_Template::create('vbtube_comments');
		$templater->register('vbt_tpl', $vbt_tpl);
		$templater->register('vbt_var', $vbt_var);
		$templater->register('cmnt', $cmnt);
		$vbt_tpl['comments'] .= $templater->render();			
	}	
	//Comments End
	
	// ###### Template Render ######
	$templater = vB_Template::create('vbtube_watchtube2');
	$templater->register_page_templates();
	$templater->register('vbt_var', $vbt_var);
	$templater->register('vbt_tpl', $vbt_tpl);

	print_output($templater->render());	
}

?>